/* EP establishments have to fullfill two conditions  
           (1) Manucfacturing sector
		   (2) At least for one year in our observation period the number of employees has to exceed 7
*/

/* Note: most EP data refer to the previous year, therefore we use the waves 2003-2011 for years 2002-2010 */

use "$data_files_path/orig_bp_betriebe_betnr_alle", clear  // list of all EP establishments between 2003 and 2011 
merge 1:1 betnr using "$data_files_path/w93_bhp_end_jahr"  // Linking establishment - time-consistent classification of economic activities WZ93 
														   // see http://doku.iab.de/fdz/reporte/2018/DR_01-18_EN.pdf
keep if _merge == 3  // 1: EP establishments which do not exist on any 30th of June, the reference data of the BHP (Establishment History Panel) (n=16)
                     // 2: establishments which do not participate in the EP between 2003 and 2011
drop _merge
gen byte indikator_manuf = inrange(w93_3_gen,150,410)  // only manufacturing 
keep if indikator_manuf == 1
drop indikator_manuf
save "$data_files_path/temp", replace


forval i = 2002/2010{
use $data_files_path/temp, clear
merge 1:1 betnr using $data_files_path/bhp_7510_m06_bst_v1_`i', keepusing(az_ges jahr)  // information on number of employees from establihment history panel
                                                                     // see http://doku.iab.de/fdz/reporte/2018/DR_01-18_EN.pdf
keep if _merge == 3 // 1: EP establishments which do not exist on 30th of Juni year `i'
                    // 2: establishments which do not participate in the EP between 2003 and 2011
drop _merge
save $data_files_path/temp_bhp_az_vergew_bp_`i', replace
}

use $data_files_path/temp_bhp_az_vergew_bp_2002, clear
forval i = 2003/2010{
append using $data_files_path/temp_bhp_az_vergew_bp_`i'
}
save $data_files_path/temp_bhp_az_vergew_bp, replace
forval i = 2002/2010{
erase $data_files_path/temp_bhp_az_vergew_bp_`i'.dta
}

bys betnr: egen test_max = max(az_ges)
drop if test_max<8 // deleting establishments if the number of employees is below 8 during the whole observervation period (1501 establishments)
keep betnr
duplicates drop
save $data_files_path/bp_betriebe_vergew_mindestgröße, replace  // basic sample of EP establishments for our analysis

erase $data_files_path/temp_bhp_az_vergew_bp.dta
erase $data_files_path/temp.dta



