************************************
*********Teil 1*********************
*****1993 bis 1998******************
************************************

cap log close
log using $log_files_path\1_syntax_panel_1993_1998.log, replace
use $fdz_path_bp9312\iabbp_1993.dta, clear
label lang de
/*Variable für das entsprechende Jahr bilden
Umbenennung und Umkodieren der Variablen jeder Welle zu einer Variable*/

*************************************
********* Welle 1993 ****************
*************************************

gen jahr=1993
gen west=1

recode a06a (4=1) (1=2) (2=3) (3=4) 
	
replace a61=a61*10 

replace a15b=0 if a12e==1

gen a30qual_g=a30qual+a30fach if (a30qual!=-9 & a30fach!=-9)
replace a30qual_g=a30qual if (a30fach==-9 & a30qual!=-9)
replace a30qual_g=a30fach if (a30qual==-9 & a30fach!=-9)
gen a30einf_g=a30ung+a30einf if (a30einf!=-9 & a30ung!=-9)
replace a30einf_g=a30ung if (a30einf==-9 & a30ung!=-9)
replace a30einf_g=a30einf if (a30ung==-9 & a30einf!=-9)

replace a45ges=0 if a44a==2
replace a51ages=0 if a50==2
replace a55ges=0 if a54==2
replace a57=3 if a56==2

replace a06b=a06b/1.95583 if a06b~=-9 & a06b~=-8 & a06b~=.
replace a15b=a15b/1.95583 if a15b~=-9 & a15b~=-8 & a15b~=.
replace a60=a60/1.95583 if a60~=-9 & a60~=-8 & a60~=.
recode bula1993 (0=11)

rename bula1993   bula
rename hr1993q  hrf_quer
rename a01ges92 ges_vor
rename a01ges93 gesamt
rename a01svb92 svbv
rename a01svb93 svb
rename a01son92 son_vor
rename a01son93 sonstige
rename a06a     geschart
rename a06b     geschvol
*Neu: Vorleistungen
rename a08 vorleist
rename a15b     invest
*Neu: invest_entw
rename 	a16 invest_entw

rename 	a12a	 IPlant
rename 	a12b	 IIT
rename 	a12c	 IProd
rename 	a12d	 ITransp
rename 	a12e	 INo
		


rename a10      tech
rename a61      arbzeit
rename a57      uebtarif
rename a60      lohn
rename a30aus   azubi
rename a30einf_g  bea_einf
rename a30qual_g  bea_qual
rename a30anw   beanw
rename a30inh   inhaber
rename a31ges   teilzeit
rename a31frau  tz_frau
rename a32ges   befrist
rename a32frau  bef_frau
rename a45ges   einstell
rename a55ges   entlass
rename a75      betrrat
rename a73      single
rename a74      form
rename a76b     bran_n99
rename a51ages  offen
rename a30ges_f ges_frau
rename a70      weiterb
rename a67      uebstund

gen outsourc=.
gen insource=.
gen ertlag=.
gen ertrlagv=.
gen eigentum=.
gen kammer=.
gen grjahr=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf =.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen tarif=.
gen uebstundv=.
gen bran_n00=.
gen betr_and=.

keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr bula hrf_quer ges_vor gesamt uebstundv einheit ertrlagv svbv svb son_vor sonstige geschvol vorleist   invest_entw  ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist ///
 bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west ///
insource ertlag eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and
compress
save iabbp_1993_panel_test.dta, replace
clear

**************************************
********* Welle 1994 *****************
**************************************

use $fdz_path_bp9312\iabbp_1994.dta
label lang de



gen jahr=1994
gen west=1

replace b02ges94=bz1ges94 if b02ges94==.
replace b01ges93=bz1ges93 if b01ges93==.

replace b02svb94=bz1svb94 if b02svb94==.
replace b01svb93=bz1svb93 if b01svb93==.

recode bula1994 (0=11)
	
replace b21=0 if b17e==1

gen b40qual_g=b40qual+b40fach if (b40qual!=-9 & b40fach!=-9)
replace b40qual_g=b40qual if (b40fach==-9 & b40qual!=-9)
replace b40qual_g=b40fach if (b40qual==-9 & b40fach!=-9)
gen b40einf_g=b40unge+b40einf if (b40einf!=-9 & b40unge!=-9)
replace b40einf_g=b40unge if (b40einf==-9 & b40unge!=-9)
replace b40einf_g=b40einf if (b40unge==-9 & b40einf!=-9)


replace b47ages=0 if b46a==2
replace b52ges=0 if b51==2
replace b57ages=0 if b56==2

replace b13=b13/1.95583 if (b13~=-9 & b13~=-8 & b13~=.)
replace b21=b21/1.95583 if (b21~=-9 & b21~=-8 & b21~=.)
replace b25=b25/1.95583 if (b25~=-9 & b25~=-8 & b25~=.)


rename bula1994   bula
rename hr1994q  hrf_quer
rename b01ges93 ges_vor
rename b02ges94 gesamt
rename b01svb93 svbv
rename b02svb94 svb
rename bz1son93 son_vor
rename bz1son94 sonstige
rename b05      insource
rename b12      geschart
rename b13      geschvol
*Neu: Vorleistungen
rename	b15 vorleist
rename b11      ertlag
rename b21      invest
*Neu: invest_entw
rename 	b22a invest_entw

rename 	b17a	 IPlant
rename 	b17b	 IIT
rename 	b17c	 IProd
rename 	b17d	 ITransp
rename 	b17e	 INo
gen outsourc=1 if b03a==1 | b03b==1 | b03c==1
replace outsourc=0 if b03a!=1 & b03b!=1 & b03c!=1
count if outsourc==.
		
rename	b03a	closed_down	
rename	b03b	sold_off	
rename	b03c	spun_off	

rename bz13     tech
rename b25      lohn
rename b40aus   azubi
rename b40einf_g  bea_einf
rename b40qual_g  bea_qual
rename b40anw   beanw
rename b40inh   inhaber
rename b42tz    teilzeit
rename b42tz_f  tz_frau
rename b43bef   befrist
rename b43bef_f bef_frau
rename b47ages  einstell
rename b52ges   entlass
rename bz06     betrrat
rename bz04     single
rename bz05     form
rename bz07b    bran_n99
rename b57ages  offen
rename b41ges_f ges_frau
rename b60      weiterb
rename b54      uebstund


gen arbzeit=.
gen tarif =.
gen uebtarif=.
gen eigentum=.
gen kammer =.
gen grjahr=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen ertrlagv=.
gen uebstundv=.
gen bran_n00=.
gen betr_and=.

keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr hrf_quer bula hr93_94p ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol  vorleist  invest_entw  ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist ///
bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ///
ertlag eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and ///
closed_down sold_off spun_off 

compress
save iabbp_1994_panel_test.dta, replace
clear


**************************************
********* Welle 1995 *****************
**************************************

use $fdz_path_bp9312\iabbp_1995.dta
label lang de


gen jahr=1995
gen west=1

replace c02ges95=cz1ges95 if c02ges95==.
replace c01ges94=cz1ges94 if c01ges94==.
replace c02svb95=cz1svb95 if c02svb95==.
replace c01svb94=cz1svb94 if c01svb94==.

replace c21=0 if c17e==1


gen c39qual_g=c39qual+c39fach if (c39qual!=-9 & c39fach!=-9)
replace c39qual_g=c39qual if (c39fach==-9 & c39qual!=-9)
replace c39qual_g=c39fach if (c39qual==-9 & c39fach!=-9)
gen c39einf_g=c39unge+c39einf if (c39einf!=-9 & c39unge!=-9)
replace c39einf_g=c39unge if (c39einf==-9 & c39unge!=-9)
replace c39einf_g=c39einf if (c39unge==-9 & c39einf!=-9)


replace c45ages=0 if c44a==2
replace c54ages=0 if c53==2
replace c50ges=0 if c49==2

replace c63=3 if c62==3

recode bula1995 (0=11)

replace c13=c13/1.95583 if (c13~=-9 & c13~=-8 & c13~=.)
replace c21=c21/1.95583 if (c21~=-9 & c21~=-8 & c21~=.)
replace c64=c64/1.95583 if (c64~=-9 & c64~=-8 & c64~=.)

*Werteübertragung organisatorische Änderungen über die Jahre
gen help=c26ab
replace help=0 if c26ah==1
gen help1=c26ac
replace help1=0 if c26ah==1
gen help2=c26af
replace help2=0 if c26ah==1
gen help3=c26aa
replace help3=0 if c26ah==1
gen help4=c26ad
replace help4=0 if c26ah==1
gen help5=c26ag
replace help5=0 if c26ah==1

replace c26aa=0 if c26ah==1
replace c26ab=0 if c26ah==1
replace c26ac=0 if c26ah==1
replace c26ad=0 if c26ah==1
replace c26af=0 if c26ah==1
replace c26ag=0 if c26ah==1

rename bula1995   bula
rename hr1995q  hrf_quer
rename c01ges94 ges_vor
rename c02ges95 gesamt
rename c01svb94 svbv
rename c02svb95 svb
rename cz1son94 son_vor
rename cz1son95 sonstige
rename c05      insource
rename c12      geschart
rename c13      geschvol
*Neu: Vorleistungen
rename 	c15 vorleist
rename c11      ertlag
rename c21      invest
*Neu: invest_entw
rename 	c22a invest_entw
		
rename 	c17a	 IPlant
rename 	c17b	 IIT
rename 	c17c	 IProd
rename 	c17d	 ITransp
rename 	c17e	 INo
gen outsourc=1 if c03a==1 | c03b==1 | c03c==1
replace outsourc=0 if c03a!=1 & c03b!=1 & c03c!=1
count if outsourc==.
		
rename	c03a	closed_down	
rename	c03b	sold_off	
rename	c03c	spun_off	


rename c24      tech
rename c57      arbzeit
rename c62      tarif
rename c63      uebtarif
rename c64      lohn
rename c39aus   azubi
rename c39einf_g  bea_einf
rename c39qual_g  bea_qual
rename c39anw   beanw
rename c39inh   inhaber
rename c41tz    teilzeit
rename c41tz_f  tz_frau
rename c45ages  einstell
rename c50ges   entlass
rename cz06     betrrat
rename cz04     single
rename cz05     form
rename cz07b    bran_n99
rename c26aa    abbau
rename c26ab    verlag
rename c26ac    gruppe
rename c26ad    reorg
rename c26af    einheit
rename c26ag    sonst
rename c54ages  offen
rename c40ges_f ges_frau
rename c51      weiterb
rename c61      uebstund


gen befrist=.
gen bef_frau=.
gen eigentum=.
gen kammer=.
gen grjahr=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen umwelt=.
gen qualität=.
gen ertrlagv=.
gen uebstundv=.
gen bran_n00=.
gen betr_and=.

keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr hrf_quer hr93_95p bula ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol  vorleist ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist ///
bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ///
ertlag eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität help* betr_and ///
closed_down sold_off spun_off 

compress
save iabbp_1995_panel_test.dta, replace
clear


**************************************
********* Welle 1996 *****************
**************************************

use $fdz_path_bp9312\iabbp_1996.dta
label lang de

gen jahr=1996
gen west=1 if wo1996==1
replace west=0 if wo1996==0


replace d22=0 if d21e==1


gen d34qual_g=d34qual+d34fach if (d34qual!=-9 | d34qual!=-8) & (d34fach!=-9 | d34fach!=-8)
replace d34qual_g=d34qual if (d34fach==-9 | d34fach==-8) & (d34qual!=-9 | d34qual!=-8)
replace d34qual_g=d34fach if (d34qual==-9 | d34qual==-8) & (d34fach!=-9 | d34fach!=-8)
gen d34einf_g=d34unge+d34einf if (d34einf!=-9 | d34einf!=-8) & (d34unge!=-9 | d34unge!=-8)
replace d34einf_g=d34unge if (d34einf==-9 | d34einf==-8) & (d34unge!=-9 | d34unge!=-8)
replace d34einf_g=d34einf if (d34unge==-9 | d34unge==-8) & (d34einf!=-9 | d34einf!=-8)

replace d43ages=0 if d42a==2
replace d39ages=0 if d38==2
replace d48ges=0 if d47==2
replace d36tz=0 if d36a==2
replace d36tz_f=0 if d36a==2
replace d36bef=0 if d36b==2
replace d36bef_f=0 if d36b==2


recode bula1996 (0=11) (12=13) (13=12) (14=15) (15=16) (16=14)

replace d50=3 if d49==3
gen help=d34anw-d01aus96 if d34anw>=0 & d01aus96>=0
gen beanw=help if help>=0 & help~=.
replace beanw = 0 if d01aus96 == -8 | d01aus96 == -9

replace d12=d12/1.95583 if (d12~=-9 & d12~=-8 & d12~=.)
replace d22=d22/1.95583 if (d22~=-9 & d22~=-8 & d22~=.)
replace d51=d51/1.95583 if (d51~=-9 & d51~=-8 & d51~=.)

rename bula1996 bula
rename hr1996q  hrf_quer
rename d01ges95 ges_vor
rename d01ges96 gesamt
rename d01svb95 svbv
rename d01svb96 svb
rename d01son95 son_vor
rename d01son96 sonstige
rename d04      insource
rename d11      geschart
rename d12      geschvol
*Neu: Vorleistungen
rename 	d17 vorleist 
rename d09      ertlag
rename d22      invest
*Neu: invest_entw
rename 	d23a invest_entw
		
rename 	d21a	 IPlant
rename 	d21b	 IIT
rename 	d21c	 IProd
rename 	d21d	 ITransp
rename 	d21e	 INo
gen outsourc=1 if d02a==1 | d02b==1 | d02c==1
replace outsourc=0 if d02a!=1 & d02b!=1 & d02c!=1
count if outsourc==.
		
rename	d02a	closed_down	
rename	d02b	sold_off	
rename	d02c	spun_off	
		

rename d25      tech
rename d52      arbzeit
rename d49      tarif
rename d50      uebtarif
rename d51      lohn
rename d01aus96 azubi
rename d34einf_g  bea_einf
rename d34qual_g  bea_qual
rename d34inh   inhaber
rename d36tz    teilzeit
rename d36tz_f  tz_frau
rename d36bef   befrist
rename d36bef_f bef_frau
rename d43ages  einstell
rename d48ges   entlass
rename d80      betrrat
rename d78      single
rename d79      form
rename d77      eigentum
rename d81b     bran_n99
rename d39ages  offen
rename d35ges_f ges_frau
rename d63      uebstund


gen grjahr=1900+d74b if d74b>=0 & d74b~=.
replace grjahr=999 if grjahr<=1989

gen weiterb=.
gen kammer=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen ertrlagv=.
ge uebstundv=.
gen bran_n00=.
gen betr_and=.

keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr hrf_quer hr93_96p bula ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol  vorleist ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau  invest_entw  ///
befrist bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west ///
insource ertlag eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and ///
closed_down sold_off spun_off 

compress
save iabbp_1996_panel_test.dta, replace
clear


**************************************
********* Welle 1997 *****************
**************************************

use $fdz_path_bp9312\iabbp_1997.dta
label lang de

gen jahr=1997
gen west=1 if wo1997==1
replace west=0 if wo1997==0

replace e31=2 if e31==0


replace e27a=0 if e26e==1


gen e45qual_g=e45qual+e45fach if (e45qual!=-9 | e45qual!=-8) & (e45fach!=-9 | e45fach!=-8)
replace e45qual_g=e45qual if (e45fach==-9 | e45fach==-8) & (e45qual!=-9 | e45qual!=-8)
replace e45qual_g=e45fach if (e45qual==-9 | e45qual==-8) & (e45fach!=-9 | e45fach!=-8)
gen e45einf_g=e45unge+e45einf if (e45einf!=-9 | e45einf!=-8) & (e45unge!=-9 | e45unge!=-8)
replace e45einf_g=e45unge if (e45einf==-9 | e45einf==-8) & (e45unge!=-9 | e45unge!=-8)
replace e45einf_g=e45einf if (e45unge==-9 | e45unge==-8) & (e45einf!=-9 | e45einf!=-8)


replace e53ages=0 if e52a==2

replace e49ages=0 if e48==2
replace e56ges=0 if e55==2
replace e46tz=0 if e46a==2
replace e46tz_f=0 if e46a==2
replace e46bef=0 if e46b==2
replace e46bef_f=0 if e46b==2

replace e58=3 if e57==3

recode bula1997 (0=11) (12=13) (13=12) (14=15) (15=16) (16=14)

replace e12=e12/1.95583 if (e12~=-9 & e12~=-8 & e12~=.)
replace e27a=e27a/1.95583 if (e27a~=-9 & e27a~=-8 & e27a~=.)
replace e59=e59/1.95583 if (e59~=-9 & e59~=-8 &e59~=.)

rename bula1997   bula
rename hr1997q  hrf_quer
rename e01ges96 ges_vor
rename e01ges97 gesamt
rename e01svb96 svbv
rename e01svb97 svb
rename e01son96 son_vor
rename e01son97 sonstige
rename e04      insource
rename e11      geschart
rename e12      geschvol
*Neu: Vorleistungen
rename	e17 vorleist
rename e09      ertlag
rename e27a     invest
*Neu: invest_entw
rename 	e28a invest_entw
*Neu: invest_erw
rename e27b	invest_erw

		
rename 	e26a	 IPlant
rename 	e26b	 IIT
rename 	e26c	 IProd
rename 	e26d	 ITransp
rename 	e26e	 INo
gen outsourc=1 if e02a==1 | e02b==1 | e02c==1
replace outsourc=0 if e02a!=1 & e02b!=1 & e02c!=1
count if outsourc==.

rename	e02a	closed_down	
rename	e02b	sold_off	
rename	e02c	spun_off	

rename e30      tech
rename e60      arbzeit
rename e57      tarif
rename e58      uebtarif
rename e59      lohn
rename e45einf_g  bea_einf
rename e45qual_g  bea_qual
rename e45inh   inhaber
rename e45aus   azubi
rename e45anw   beanw
rename e46tz    teilzeit
rename e46tz_f  tz_frau
rename e46bef   befrist
rename e46bef_f bef_frau
rename e53ages  einstell
rename e56ges   entlass
rename e71      betrrat
rename e69      single
rename e70      form
rename ez4      eigentum
rename e76b     bran_n99
rename e49ages  offen
rename e45ges_f ges_frau
rename e31      weiterb
rename e62      uebstund


gen grjahr=1900+e73b if e68==2 & e73b!=-9

gen kammer=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen ertrlagv=.
gen uebstundv=.
gen bran_n00=.
gen betr_and=.

keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr hrf_quer hr93_97p bula hr96_97p ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol  vorleist ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist bef_frau ///
einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag ///
eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and invest_erw invest_entw ///
closed_down sold_off spun_off 

compress
save iabbp_1997_panel_test.dta, replace
clear


**************************************
********* Welle 1998 *****************
**************************************

use $fdz_path_bp9312\iabbp_1998.dta
label lang de

gen jahr=1998
gen west=1 if wo1998==1
replace west=0 if wo1998==0


replace f19a=0 if f18e==1


gen f45qual_g=f45qual+f45fach if (f45qual!=-9 & f45fach!=-9)
replace f45qual_g=f45qual if (f45fach==-9 & f45qual!=-9)
replace f45qual_g=f45fach if (f45qual==-9 & f45fach!=-9)
gen f45einf_g=f45unge+f45einf if (f45einf!=-9 & f45unge!=-9)
replace f45einf_g=f45unge if (f45einf==-9 & f45unge!=-9)
replace f45einf_g=f45einf if (f45unge==-9 & f45einf!=-9)

replace f49ages=0 if f48a==2
replace f52ages=0 if f51==2
replace f58ges=0 if f57==2
replace f46tz=0 if f46a==2
replace f46tz_f=0 if f46a==2
replace f46bef=0 if f46b==2
replace f46bef_f=0 if f46b==2
replace f60=3 if f59==3


replace f11=f11/1.95583 if (f11~=-9 & f11~=-8 & f11~=.)
replace f19a=f19a/1.95583 if (f19a~=-9 & f19a~=-8 & f19a~=.)
replace f61=f61/1.95583 if (f61~=-9 & f61~=-8 & f61~=.)

*Werteübertragung organisatorische Änderungen über die Jahre
gen help6=f26e
replace help6=0 if f26k==1
gen help7=f26f
replace help7=0 if f26k==1
gen help8=f26g
replace help8=0 if f26k==1
gen help9=f26a
replace help9=0 if f26k==1
gen help10=f26b
replace help10=0 if f26k==1
gen help11=f26c
replace help11=0 if f26k==1
gen help12=f26d
replace help12=0 if f26k==1
gen help13=f26h
replace help13=0 if f26k==1
gen help14=f26i
replace help14=0 if f26k==1
gen help15=f26j
replace help15=0 if f26k==1

replace f26a=0 if f26k==1
replace f26b=0 if f26k==1
replace f26c=0 if f26k==1
replace f26d=0 if f26k==1
replace f26e=0 if f26k==1
replace f26f=0 if f26k==1
replace f26g=0 if f26k==1
replace f26h=0 if f26k==1
replace f26i=0 if f26k==1
replace f26j=0 if f26k==1
recode bula1998 (0=11)

rename bula1998   bula
rename hr1998q  hrf_quer
rename f01ges97 ges_vor
rename f01ges98 gesamt
rename f01svb97 svbv
rename f01svb98 svb
rename f01son97 son_vor
rename f01son98 sonstige
rename f04      insource
rename f10      geschart
rename f11      geschvol
*Neu: Vorleistungen
rename 	f14 vorleist
rename f08b     ertrlagv
rename f08a     ertlag
rename f19a     invest
*Neu: invest_erw
rename f19b invest_erw
*Neu: invest_entw
rename 	f20a 	invest_entw

		
rename 	f18a	 IPlant
rename 	f18b	 IIT
rename 	f18c 	 IProd
rename 	f18d	 ITransp
rename 	f18e	 INo
gen outsourc=1 if f02a==1 | f02b==1 | f02c==1
replace outsourc=0 if f02a!=1 & f02b!=1 & f02c!=1
count if outsourc==.
		
rename	f02a	closed_down	
rename	f02b	sold_off	
rename	f02c	spun_off	

gen export_share=			f15c		+		f15d


rename f22      tech
rename f62      arbzeit
rename f59      tarif
rename f60      uebtarif
rename f61      lohn
rename f45einf_g  bea_einf
rename f45qual_g  bea_qual
rename f45inh   inhaber
rename f45aus   azubi
rename f45anw   beanw
rename f46tz    teilzeit
rename f46tz_f  tz_frau
rename f46bef   befrist
rename f46bef_f bef_frau
rename f49ages  einstell
rename f58ges   entlass
rename f67      betrrat
rename f79      single
rename f69      form
rename f76      eigentum
rename f78b     bran_n99
rename f26a     eigen
rename f26b     zukauf
rename f26c     neugest
rename f26d     reorg
rename f26e     verlag
rename f26f     gruppe
rename f26g     einheit
rename f26h     umwelt
rename f26i     qualität
rename f26j     sonst
rename f52ages  offen
rename f45ges_f ges_frau
rename f64      uebstund
rename f71j     grjahr


gen weiterb=.
gen kammer=.

gen abbau=.
gen uebstundv=.
gen bran_n00=.
gen betr_and=.

recode single (2=3) (3=2)

replace grjahr=grjahr+1900 if grjahr!=-9
replace grjahr=999 if f71==1
replace grjahr=999 if f73==1 
replace grjahr=1900+f77 if f77>=0 & f77!=. & grjahr==. & f73==2
replace grjahr=999 if grjahr<=1989 & grjahr!=-9 

keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr hrf_quer hr93_98p bula hr96_98p ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol  vorleist ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist bef_frau ///
einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag ///
eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität help* betr_and invest_erw invest_entw ///
closed_down sold_off spun_off export_share
compress
save iabbp_1998_panel_test.dta, replace

log close
clear
