************************************
*********Teil 2*********************
*****1999 bis 2010******************
************************************

cap log close
log using $log_files_path\2_syntax_panel_1999_2012.log, replace

**************************************
********* Welle 1999 *****************
**************************************

use $fdz_path_bp9312\iabbp_1999.dta, clear
label lang de

gen jahr=1999
gen west=1 if wo1999==1
replace west=0 if wo1999==2


replace g38=g38*10 if g38!=-9 & g38!=-8


replace g23a=0 if g22e==1

gen g27qual_g=g27qual+g27fach if (g27qual!=-9 & g27fach!=-9)
replace g27qual_g=g27qual if (g27fach==-9 & g27qual!=-9)
replace g27qual_g=g27fach if (g27qual==-9 & g27fach!=-9)
gen g27einf_g=g27unge+g27einf if (g27einf!=-9 & g27unge!=-9)
replace g27einf_g=g27unge if (g27einf==-9 & g27unge!=-9)
replace g27einf_g=g27einf if (g27unge==-9 & g27einf!=-9)

replace g30ges=0 if g29a==2
replace g33ges=0 if g32==2
replace g28tz=0 if g28a==2
replace g28tz_f=0 if g28a==2
replace g28bef=0 if g28b==2
replace g28bef_f=0 if g28b==2
replace g52=3 if g50==3 & g51==1


replace g11=g11/1.95583 if (g11~=-9 & g11~=-8 & g11~=.)
replace g23a=g23a/1.95583 if (g23a~=-9 & g23a~=-8 & g23a~=.)
replace g53=g53/1.95583 if (g53~=-9 & g53~=-8 & g53~=.)

recode bula1999 (0=11)

rename bula1999   bula
rename hr1999q  hrf_quer
rename g01ges98 ges_vor
rename g01ges99 gesamt
rename g01svb98 svbv
rename g01svb99 svb
rename g01son98 son_vor
rename g01son99 sonstige
rename g03      insource
rename g10      geschart
rename g11      geschvol
*Neu: Vorleistungen
rename	g14 vorleist
rename g09      ertrlagv
rename g23a     invest
*Neu: invest_erw
rename 	g23b invest_erw
*Neu: invest_entw
rename g24a invest_entw

		
rename 	g22a	 IPlant
rename 	g22b	 IIT
rename 	g22c 	 IProd
rename 	g22d	 ITransp
rename 	g22e	 INo
gen outsourc=1 if g02a==1 | g02b==1 | g02c==1
replace outsourc=0 if g02a!=1 & g02b!=1 & g02c!=1
count if outsourc==.
		
rename	g02a	closed_down	
rename	g02b	sold_off	
rename	g02c	spun_off	

gen export_share=			g16c 		+		g16d 

rename g26      tech
rename g38      arbzeit
rename g50      tarif
rename g52      uebtarif
rename g53      lohn
rename g27einf_g  bea_einf
rename g27qual_g  bea_qual
rename g27inh   inhaber
rename g27aus   azubi
rename g27anw   beanw
rename g28tz    teilzeit
rename g28tz_f  tz_frau
rename g28bef   befrist
rename g28bef_f bef_frau
rename g30ges   einstell
rename g33ges   entlass
rename g79      betrrat
rename g77      single
rename g78      form
rename g85      eigentum
rename g75b     kammer

replace g87b=g87b/10
replace g87b=int(g87b)

rename g87b bran_n99
rename g27ges_f ges_frau
rename g54      weiterb
rename g45      uebstundv
rename g81j     grjahr



gen offen=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen ertlag=.
gen uebstund=.
gen bran_n00=.
gen betr_and=.

recode single (2=3) (3=2)

replace grjahr=grjahr+1900 if grjahr!=-9
replace grjahr=999 if g81==1
replace grjahr=999 if grjahr<=1989 & grjahr!=-9

replace grjahr=1900+g86 if g86>0 & g86~=.
replace grjahr=999 if g86==-7
replace grjahr=999 if grjahr<1990 & grjahr>0 & g86>0 & g86~=.
  
keep  IPlant	 IIT	 IProd	 ITransp	 INo	///
idnum jahr hrf_quer hr93_99p hr96_99p bula ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol vorleist ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist bef_frau ///
einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag eigentum ///
kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and invest_erw invest_entw ///
closed_down sold_off spun_off export_share

compress
save iabbp_1999_panel_test.dta, replace
clear

**************************************
********* Welle 2000 *****************
**************************************
use $fdz_path_bp9312\iabbp_2000.dta,clear
label lang de

gen jahr=2000
gen west=1 if wo2000==1
replace west=0 if wo2000==2


recode h80 (2=1) (1=2)


gen h47qual_g=h47qual+h47fach if (h47qual!=-9 & h47fach!=-9)
replace h47qual_g=h47qual if (h47fach==-9 & h47qual!=-9)
replace h47qual_g=h47fach if (h47qual==-9 & h47fach!=-9)
gen h47einf_g=h47unge+h47einf if (h47einf!=-9 & h47unge!=-9)
replace h47einf_g=h47unge if (h47einf==-9 & h47unge!=-9)
replace h47einf_g=h47einf if (h47unge==-9 & h47einf!=-9)

replace h5201=0 if h50==2
replace h61ages=0 if h60==2
replace h65ges=0 if h64==2
replace h48tz=0 if h48a==2
replace h48tz_f=0 if h48a==2
replace h48bef=0 if h48b==2
replace h48bef_f=0 if h48b==2
replace h44=3 if h42==3 & h43==1

replace h12=h12/1.95583 if (h12~=-9 & h12~=-8 & h12~=.)
replace h19=h19/1.95583 if (h19~=-9 & h19~=-8 & h19~=.)
replace h45=h45/1.95583 if (h45~=-9 & h45~=-8 & h45~=.)

*Werteübertragung organisatorische Änderungen über die Jahre
gen help16=h08e
replace help16=0 if h08k==1
gen help17=h08f
replace help17=0 if h08k==1
gen help18=h08g
replace help18=0 if h08k==1
gen help19=h08a
replace help19=0 if h08k==1
gen help20=h08b
replace help20=0 if h08k==1
gen help21=h08c
replace help21=0 if h08k==1
gen help22=h08d
replace help22=0 if h08k==1
gen help23=h08h
replace help23=0 if h08k==1
gen help24=h08i
replace help24=0 if h08k==1
gen help25=h08j
replace help25=0 if h08k==1

recode bula2000 (7=18) (0=11)

rename bula2000   bula
rename hr2000q  hrf_quer
rename h01ges99 ges_vor
rename h01ges00 gesamt
rename h01svb99 svbv
rename h01svb00 svb
rename h01son99 son_vor
rename h01son00 sonstige
rename h03      insource
rename h11      geschart
rename h12      geschvol
*Neu: Vorleistungen
rename	h17 vorleist	
rename h10      ertrlagv
rename h19      invest
*Neu: invest_entw
rename 	h24 	invest_entw
*Neu: invest_erw
rename 	h20 invest_erw

rename 	h18a	 IPlant
rename 	h18b	 IIT
rename 	h18c 	 IProd
rename 	h18d	 ITransp
rename 	h18e	 INo
gen outsourc=1 if h02a==1 | h02b==1 | h02c==1
replace outsourc=0 if h02a~=1 & h02b!=1 & h02c!=1
count if outsourc==.
		
rename	h02a	closed_down	
rename	h02b	sold_off	
rename	h02c	spun_off	

gen export_share=			h15c 		+		h15d 

rename h09      tech
rename h42      tarif
rename h44      uebtarif
rename h45      lohn
rename h47anw   beanw
rename h47aus   azubi
rename h47einf_g  bea_einf
rename h47inh   inhaber
rename h47qual_g  bea_qual
rename h48tz    teilzeit
rename h48tz_f  tz_frau
rename h48bef   befrist
rename h48bef_f bef_frau
rename h5201    einstell
rename h65ges   entlass
rename h79      betrrat
rename h77      single
rename h78      form
rename h80      eigentum
rename h76b     kammer
rename h74      grjahr
rename h81b     bran_n00
rename h08a     eigen
rename h08b     zukauf
rename h08c     neugest
rename h08d     reorg
rename h08e     verlag
rename h08f     gruppe
rename h08g     einheit
rename h08h     umwelt
rename h08i     qualität
rename h08j     sonst
rename h61ages  offen
rename h47ges_f ges_frau
rename h66      weiterb


rename	wz93_00			wz93_bp



replace grjahr=grjahr+1900 if grjahr!=-9 & grjahr!=0
replace grjahr=2000 if grjahr==0
replace grjahr=999 if h73==1

replace grjahr=999 if h69==1 & grjahr==.

gen arbzeit=.
gen uebstund=.
gen uebstundv=.
gen abbau=.
gen ertlag=.
gen bran_n99=.
gen betr_and=.

recode single (2=3) (3=2)

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz93_bp ///
idnum jahr hrf_quer hr93_00p hr96_00p bula ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige geschvol  vorleist ///
geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist bef_frau ///
einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag eigentum ///
kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität help* betr_and invest_erw invest_entw ///
closed_down sold_off spun_off export_share

compress
save iabbp_2000_panel_test.dta, replace
clear


**************************************
********* Welle 2001 *****************
**************************************

use $fdz_path_bp9312\iabbp_2001.dta
label lang de

gen jahr=2001
gen west=1 if wo2001==1
replace west=0 if wo2001==2


replace i25=0 if i24e==1
replace i57ges=0 if i55==2
replace i61ages=0 if i60==2
replace i65ges=0 if i64==2

gen i52qual_g=i52qual+i52fach if (i52qual!=-9 & i52fach!=-9)
replace i52qual_g=i52qual if (i52fach==-9 & i52qual!=-9)
replace i52qual_g=i52fach if (i52qual==-9 & i52fach!=-9)
gen i52einf_g=i52unge+i52einf if (i52einf!=-9 & i52unge!=-9)
replace i52einf_g=i52unge if (i52einf==-9 & i52unge!=-9)
replace i52einf_g=i52einf if (i52unge==-9 & i52einf!=-9)

replace i53tz=0 if i53a==2
replace i53tz_f=0 if i53a==2
replace i54bef=0 if i54a==2
replace i54bef_f=0 if i54a==2
replace i69=3 if i67==3 & i68==1

replace i07=i07/1.95583 if (i07~=-9 & i07~=-8 & i07~=.)
replace i25=i25/1.95583 if (i25~=-9 & i25~=-8 & i25~=.)
replace i71=i71/1.95583 if (i71~=-9 & i71~=-8 & i71~=.)

recode i81 (2=1) (1=2)
recode bula2001 (7=18) (0=11)

rename bula2001   bula
rename hr2001q  hrf_quer
rename i01ges00 ges_vor
rename i01ges01 gesamt
rename i01svb00 svbv
rename i01svb01 svb
rename i01son00 son_vor
rename i01son01 sonstige
rename i03      insource
rename i06      geschart
rename i07      geschvol
*Neu: Vorleistungen
rename i12 vorleist
rename i09      ertrlagv
rename i25      invest
*Neu: invest_entw
rename i29 invest_entw
*Neu: invest_erw
rename 	i26 	invest_erw


rename 	i24a	 IPlant
rename 	i24b 	 IIT
rename 	i24c 	 IProd
rename 	i24d	 ITransp
rename 	i24e	 INo
gen outsourc=1 if i02a==1 | i02b==1 | i02c==1
replace outsourc=0 if i02a~=1 & i02b!=1 & i02c!=1
count if outsourc==.
	
rename	i02a	closed_down	
rename	i02b	sold_off	
rename	i02c	spun_off	

gen export_share=			i11c 		+		i11d 

rename i30      tech
rename i72      arbzeit
rename i67      tarif
rename i69      uebtarif
rename i71      lohn
rename i52anw   beanw
rename i52aus   azubi
rename i52einf_g  bea_einf
rename i52inh   inhaber
rename i52qual_g  bea_qual
rename i53tz    teilzeit
rename i53tz_f  tz_frau
rename i54bef   befrist
rename i54bef_f bef_frau
rename i57ges   einstell
rename i65ges   entlass
rename i82      betrrat
rename i79      single
rename i80      form
rename i81      eigentum
rename i90      grjahr
rename i92b     bran_n00
rename i17aa    eigen
rename i17ab    zukauf
rename i17ac    neugest
rename i17ad    reorg
rename i17ae    verlag
rename i17af    gruppe
rename i17ag    einheit
rename i17ah    umwelt
rename i17ai    qualität
rename i17aj    sonst
rename i61ages  offen
rename i52ges_f ges_frau
rename i33      weiterb
rename i74      uebstundv
rename i83b	    kammer

rename	wz93_01			wz93_bp


replace grjahr=999 if i89==1
replace grjahr=999 if i85==1

gen abbau=.
gen ertlag=.
gen uebstund=.
gen bran_n99=.
gen betr_and=.

replace single=11 if single==3
replace single=3 if single==2
replace single=2 if single==11

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz93_bp ///
idnum jahr hrf_quer hr93_01p hr96_01p bula hr00_01p ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige  vorleist ///
geschvol geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist ///
bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag ///
eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and invest_erw invest_entw ///
closed_down sold_off spun_off export_share

compress
save iabbp_2001_panel_test.dta, replace
clear


**************************************
********* Welle 2002 *****************
**************************************

use $fdz_path_bp9312\iabbp_2002.dta
label lang de

gen jahr=2002
gen west=1 if wo2002==1
replace west=0 if wo2002==2


replace j14=0 if j13e==1

gen j41qual_g=j41qual+j41fach if (j41qual!=-9 & j41fach!=-9)
replace j41qual_g=j41qual if (j41fach==-9 & j41qual!=-9)
replace j41qual_g=j41fach if (j41qual==-9 & j41fach!=-9)
gen j41einf_g=j41unge+j41einf if (j41einf!=-9 & j41unge!=-9)
replace j41einf_g=j41unge if (j41einf==-9 & j41unge!=-9)
replace j41einf_g=j41einf if (j41unge==-9 & j41einf!=-9)

replace j54ges=0 if j52==2
replace j60ages=0 if j59==2
replace j58ges=0 if j57==2
replace j42tz=0 if j42a==2
replace j42tz_f=0 if j42a==2
replace j43bef=0 if j43a==2
replace j43bef_f=0 if j43a==2
replace j32=3 if j30==3 & j31==1

recode j82 (2=1) (1=2)
recode bula2002 (7=18) (0=11)

rename bula2002 bula
rename hr2002q  hrf_quer
rename j01ges01 ges_vor
rename j01ges02 gesamt
rename j01svb01 svbv
rename j01svb02 svb
rename j01son01 son_vor
rename j01son02 sonstige
rename j03      insource
rename j05      geschart
rename j06      geschvol
*Neu: Vorleistungen
rename	j11 vorleist
rename j08      ertrlagv
rename j14      invest
*Neu: invest_entw
rename  j18 invest_entw
*Neu: invest_erw
rename j15 invest_erw


rename 	j13a	 IPlant
rename 	j13b 	 IIT
rename 	j13c 	 IProd
rename 	j13d	 ITransp
rename 	j13e	 INo
gen outsourc=1 if j02a==1 | j02b==1 | j02c==1
replace outsourc=0 if j02a~=1 & j02b!=1 & j02c!=1
count if outsourc==.
		
rename	j02a	closed_down	
rename	j02b	sold_off	
rename	j02c	spun_off	

gen export_share=			j10c 		+		j10d 

rename j19      tech
rename j20      arbzeit
rename j30      tarif
rename j32      uebtarif
rename j34      lohn
rename j41einf_g  bea_einf
rename j41qual_g  bea_qual
rename j41inh   inhaber
rename j41aus   azubi
rename j41anw   beanw
rename j42tz    teilzeit
rename j42tz_f  tz_frau
rename j43bef   befrist
rename j43bef_f bef_frau
rename j54ges   einstell
rename j58ges   entlass
rename j76      betrrat
rename j80      single
rename j81      form
rename j82      eigentum
rename j83b     kammer
rename j85      grjahr
rename j87b     bran_n00
rename j60ages  offen
rename j41ges_f ges_frau
rename j27      uebstundv

rename	wz93_02			wz93_bp



gen weiterb=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen ertlag=.
gen uebstund=.
gen bran_n99=.
gen betr_and=.

recode single (2=3) (3=2)

replace grjahr=999 if j84==1

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz93_bp ///
idnum jahr hrf_quer hr93_02p hr96_02p hr00_02p bula ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige  vorleist ///
geschvol geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist ///
bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag ///
eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and invest_erw invest_entw ///
closed_down sold_off spun_off export_share

compress
save iabbp_2002_panel_test.dta, replace
clear


**************************************
********* Welle 2003 *****************
**************************************

use $fdz_path_bp9312\iabbp_2003.dta
label lang de

gen jahr=2003
gen west=1 if wo2003==1
replace west=0 if wo2003==2


replace k17=0 if k16e==1
replace k41ages=0 if k39==2
replace k48ages=0 if k47==2
replace k45ges=0 if k44==2
replace k24tz=0 if k24a==2
replace k24tz_f=0 if k24a==2
replace k25bef=0 if k25a==2
replace k25bef_f=0 if k25a==2
replace k73=3 if k72==3 


gen k23ber_g=k23ber+k23uni+k23fach if (k23uni!=-9 & k23fach!=-9 & k23ber!=-9)
replace k23ber_g=k23ber if (k23uni==-9 | k23fach==-9) & k23ber!=-9 
replace k23ber_g=k23uni if (k23ber==-9 | k23fach==-9) & k23uni!=-9
replace k23ber_g=k23fach if (k23ber==-9 | k23uni==-9) & k23fach!=-9
gen k23einf_g=k23unge+k23einf if (k23unge!=-9 & k23einf!=-9)
replace k23einf_g=k23unge if k23einf==-9 & k23unge!=-9
replace k23einf_g=k23einf if k23unge==-9 & k23einf!=-9

gen betr_and=1 if k80==2
replace betr_and=2 if k80==1 | k80==3 
replace betr_and=-9 if k80==-9
replace k80=2 if k80==3 | k80==2

recode k84 (2=1) (1=2)	

recode bula2003 (7=18) (0=11)

rename bula2003 bula
rename hr2003q  hrf_quer
rename k01ges02 ges_vor
rename k01ges03 gesamt
rename k01svb02 svbv
rename k01svb03 svb
rename k01son02 son_vor
rename k01son03 sonstige
rename k03      insource
rename k08      geschart
rename k09      geschvol
*Neu: Vorleistungen
rename k14 vorleist
rename k11      ertrlagv
rename k17      invest
*Neu: invest_entw
rename 	k21 invest_entw
*Neu: invest_erw
rename 	k18 invest_erw

rename 	k16a	 IPlant
rename 	k16b 	 IIT
rename 	k16c 	 IProd
rename 	k16d	 ITransp
rename 	k16e	 INo
gen outsourc=1 if k02a==1 | k02b==1 | k02c==1
replace outsourc=0 if k02a~=1 & k02b!=1 & k02c!=1
count if outsourc==.
		
rename	k02a	closed_down	
rename	k02b	sold_off	
rename	k02c	spun_off	

gen export_share=			k13c 		+		k13d 

rename k22      tech
rename k72      tarif
rename k73      uebtarif
rename k77      lohn
rename k23einf_g  bea_einf
rename k23ber_g bea_qual
rename k23inh   inhaber
rename k23aus   azubi
rename k23anw   beanw
rename k24tz    teilzeit
rename k24tz_f  tz_frau
rename k25bef   befrist
rename k25bef_f bef_frau
rename k41ages  einstell
rename k45ges   entlass
rename k80      betrrat
rename k82      single
rename k83      form
rename k84      eigentum
rename k85b     kammer
rename k87      grjahr
rename k89b     bran_n00
rename k48ages  offen
rename k23ges_f ges_frau
rename k34      weiterb
rename k28      uebstundv

rename	wz93_03			wz93_bp



gen arbzeit=.
gen abbau=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen sonst=.
gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen ertlag=.
gen uebstund=.
gen bran_n99=.

recode single (2=3) (3=2)

replace grjahr=999 if k86==1

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz93_bp ///
idnum jahr hrf_quer hr93_03p hr96_03p hr00_03p bula ges_vor gesamt uebstundv ertrlagv svbv svb son_vor sonstige  vorleist ///
geschvol geschart invest tech arbzeit tarif uebtarif lohn azubi bea_einf bea_qual beanw inhaber teilzeit tz_frau befrist ///
bef_frau einstell entlass betrrat single form bran_n99 bran_n00 offen ges_frau weiterb uebstund outsourc west insource ertlag ///
eigentum kammer grjahr abbau verlag gruppe einheit sonst eigen zukauf neugest reorg umwelt qualität betr_and invest_erw invest_entw ///
closed_down sold_off spun_off export_share

compress
save iabbp_2003_panel_test.dta, replace
clear

**************************************
********* Welle 2004 *****************
**************************************
use $fdz_path_bp9312\iabbp_2004
label lang de


gen jahr=2004
gen     west=1 if wo2004==1
replace west=0 if wo2004==2

replace l16=0 if l15e==1

gen l30ber_g=l30ber+l30uni+l30fach if (l30uni!=-9 & l30fach!=-9 & l30ber!=-9)
replace l30ber_g=l30ber if (l30uni==-9 | l30fach==-9) & l30ber!=-9 
replace l30ber_g=l30uni if (l30ber==-9 | l30fach==-9) & l30uni!=-9
replace l30ber_g=l30fach if (l30ber==-9 | l30uni==-9) & l30fach!=-9
gen l30einf_g=l30unge+l30einf if (l30unge!=-9 & l30einf!=-9)
replace l30einf_g=l30unge if l30einf==-9 & l30unge!=-9
replace l30einf_g=l30einf if l30unge==-9 & l30einf!=-9


replace l31tz=0 if l31a==2
replace l31tz_f=0 if l31a==2
replace l32bef=0 if l32a==2
replace l32bef_f=0 if l32a==2
replace l39ages=0 if l38==2
replace l42ages=0 if l40==2
replace l50ges=0 if l49==2

replace l66=3 if l64==3	& l65==1				
replace l66=-9 if l64~=1 & l64~=2 & l64~=3


recode l91 (2=1) (1=2)	

*Werteübertragung organisatorische Änderungen über die Jahre
gen help26=l26ae
replace help26=0 if l26ak==1
gen help27=l26af
replace help27=0 if l26ak==1
gen help28=l26ag
replace help28=0 if l26ak==1
gen help29=l26aa
replace help29=0 if l26ak==1
gen help30=l26ab
replace help30=0 if l26ak==1
gen help31=l26ac
replace help31=0 if l26ak==1
gen help32=l26ad
replace help32=0 if l26ak==1
gen help33=l26ah
replace help33=0 if l26ak==1
gen help34=l26ai
replace help34=0 if l26ak==1
gen help35=l26aj
replace help35=0 if l26ak==1

recode bula2004 (7=18) (0=11)

rename bula2004 bula
rename hr2004q  hrf_quer
rename l01ges03 ges_vor
rename l01ges04 gesamt
rename l01svb03 svbv
rename l01svb04 svb
rename l01son03 son_vor
rename l01son04 sonstige
rename l03 	insource
rename l07b	kammer
rename l08      geschart
rename l09      geschvol
*Neu: Vorleistungen
rename	l14 vorleist
rename l11      ertrlagv
rename l16      invest
*Neu: invest_erw
rename 	l17 invest_erw

rename 	l15a	 IPlant
rename 	l15b 	 IIT
rename 	l15c 	 IProd
rename 	l15d	 ITransp
rename 	l15e	 INo
gen outsourc=1 if l02a==1 | l02b==1 | l02c==1
replace outsourc=0 if l02a~=1 & l02b~=1 & l02c~=1
count if outsourc==.
		
rename	l02a	closed_down	
rename	l02b	sold_off	
rename	l02c	spun_off	

gen export_share=			l13c 	+	l13d	+	l13e 

*tech hat hier tatsächlich eine Lücke

rename l26aa    eigen
rename l26ab    zukauf
rename l26ac    neugest
rename l26ad    reorg
rename l26ae    verlag
rename l26af    gruppe
rename l26ag    einheit
rename l26ah    umwelt
rename l26ai    qualität
rename l26aj    sonst
rename l30einf_g  bea_einf
rename l30ber_g bea_qual
rename l30inh   inhaber
rename l30aus   azubi
rename l30anw   beanw
rename l30ges_f ges_frau
rename l31tz    teilzeit
rename l31tz_f  tz_frau
rename l32bef   befrist
rename l32bef_f bef_frau
rename l39ages  offen
rename l42ages  einstell
rename l50ges   entlass
rename l51      arbzeit
rename l62      uebstundv
rename l64      tarif
rename l66      uebtarif
rename l68      lohn
rename l88a     betrrat
rename l88b     betr_and
rename l89      single
rename l90      form
rename l91      eigentum
rename l93      grjahr
rename l95b     bran_n00

rename		wz03_04		wz03_bp

rename	l27	RD
rename	l29a 	RD_staff_excl
rename	l29b 	RD_staff
rename	l20	innovpd1
rename	l21	innovpd2
rename	l22	innovpd3



gen tech=.
gen abbau=.
gen ertlag=.
gen uebstund=.
gen weiterb=.

recode single (2=3) (3=2)

replace grjahr=999 if l92==1

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz03_bp ///
idnum jahr hrf_quer hr93_04p hr96_04p hr00_04p hr03_04p bula ges_vor gesamt svbv svb son_vor sonstige insource geschart geschvol vorleist  ///
ertrlagv invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität sonst bea_einf bea_qual inhaber azubi beanw ///
ges_frau teilzeit tz_frau befrist bef_frau offen weiterb einstell entlass arbzeit uebstundv tarif uebtarif lohn betrrat single ///
form eigentum grjahr bran_n00 outsourc tech abbau ertlag uebstund kammer west betr_and invest_erw   help* ///
closed_down sold_off spun_off export_share RD* innov*

compress
save iabbp_2004_panel_test.dta, replace
clear

**************************************
********* Welle 2005 *****************
**************************************
use $fdz_path_bp9312\iabbp_2005.dta
label lang de


gen jahr=2005
gen west=1 if wo2005==1
replace west=0 if wo2005==2

replace m19=0 if m18e==1

gen m27ber_g=m27ber+m27uni+m27fach if (m27uni!=-9 & m27fach!=-9 & m27ber!=-9)
replace m27ber_g=m27ber if (m27uni==-9 | m27fach==-9) & m27ber!=-9 
replace m27ber_g=m27uni if (m27ber==-9 | m27fach==-9) & m27uni!=-9
replace m27ber_g=m27fach if (m27ber==-9 | m27uni==-9) & m27fach!=-9
gen m27einf_g=m27unge+m27einf if (m27unge!=-9 & m27einf!=-9)
replace m27einf_g=m27unge if m27einf==-9 & m27unge!=-9
replace m27einf_g=m27einf if m27unge==-9 & m27einf!=-9

replace m28tz=0 if m28a==2
replace m28tz_f=0 if m28a==2
replace m29bef=0 if m29a==2
replace m29bef_f=0 if m29a==2
replace m47ages=0 if m46==2
replace m36ages=0 if m34==2
replace m49ges=0 if m48==2

replace m54=3 if m52==3					
replace m54=-9 if m52~=1 & m52~=2 & m52~=3

recode m91 (2=1) (1=2)

recode bula2005  (7=18) (0=11)

rename bula2005 	bula
rename hr2005q  	hrf_quer
rename m01ges04 	ges_vor
rename m01ges05		gesamt
rename m01svb04 	svbv
rename m01svb05 	svb
rename m01son04 	son_vor
rename m01son05 	sonstige
rename m03 		insource
rename m07      	geschart
rename m08      	geschvol
*Neu: Vorleistungen
rename	m13 vorleist
rename m10      	ertrlagv
rename m19      	invest
*Neu: invest_entw
rename 	m25 invest_entw
*Neu: invest_erw
rename 	m20 invest_erw


rename 	m18a	 IPlant
rename 	m18b 	 IIT
rename 	m18c 	 IProd
rename 	m18d	 ITransp
rename 	m18e	 INo
gen outsourc=1 if m02aa==1 | m02ab==1 | m02ac==1
replace outsourc=0 if m02aa~=1 & m02ab~=1 & m02ac~=1
count if outsourc==.

rename	m02aa	closed_down	
rename	m02ab	sold_off	
rename	m02ac	spun_off	

gen export_share=			m12c 	+	m12d 	+	m12e 


rename m26      	tech
rename m27einf_g  	bea_einf
rename m27ber_g 	bea_qual
rename m27inh   	inhaber
rename m27aus   azubi
rename m27anw   beanw
rename m27ges_f ges_frau
rename m28tz    teilzeit
rename m28tz_f  tz_frau
rename m29bef   befrist
rename m29bef_f bef_frau
rename m47ages  offen
rename m36ages  einstell
rename m49ges   entlass
rename m52      tarif
rename m54      uebtarif
rename m59      lohn
rename m77	weiterb
rename m85a     betrrat
rename m85b     betr_and
rename m88      single
rename m89      form
rename m90b	kammer
rename m91      eigentum
rename m93      grjahr
rename m95b     bran_n00

rename		wz03_05		wz03_bp



gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen verlag=.
gen einheit=.
gen gruppe=.
gen umwelt=.
gen qualität=.
gen sonst=.
gen arbzeit=.
gen abbau=.
gen ertrlag=.
gen uebstundv=.
gen uebstund=.
gen ertlag=.
recode single (2=3) (3=2)

replace grjahr=999 if m92==1

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz03_bp ///
idnum jahr hrf_quer hr93_05p hr96_05p hr00_05p hr03_05p bula ges_vor gesamt svbv svb son_vor sonstige  vorleist  invest_erw invest_entw  ///
insource geschart geschvol ertrlagv invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität sonst ///
bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb einstell entlass ///
arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n00 outsourc tech abbau ertlag uebstund kammer west betr_and ///
closed_down sold_off spun_off export_share

compress
save iabbp_2005_panel_test.dta, replace
clear


**************************************
********* Welle 2006 *****************
**************************************
use $fdz_path_bp9312\iabbp_2006.dta
label lang de



gen jahr=2006
gen west=1 if wo2006==1
replace west=0 if wo2006==2

replace n01son05=n01son05+n01ger05 if n01ger05~=. | n01ger05~=-9
replace n01son06=n01son06+n01ger06 if n01ger06~=. | n01ger06~=-9

replace n11 = 6 if n07 == 4

replace n15=0 if n14e==1

gen n21ber_g=n21ber+n21uni if n21ber!=-9 & n21uni!=-9			
replace n21ber_g=n21ber if n21uni==-9 & n21ber!=-9
replace n21ber_g=n21uni if n21ber==-9 & n21uni!=-9

replace n22tz=0 if n22a==2
replace n22tz_f=0 if n22a==2
replace n23bef=0 if n23a==2
replace n23bef_f=0 if n23a==2
replace n40ages=0 if n39==2
replace n32ages=0 if n30==2
replace n37ges=0 if n36==2

replace n81=3 if n79==3					
replace n81=-9 if n79~=1 & n79~=2 & n79~=3

recode n92 (2=1) (1=2)

recode bula2006  (7=18) (0=11)

rename bula2006 bula
rename hr2006q  hrf_quer
rename n01ges05 ges_vor
rename n01ges06 gesamt
rename n01svb05 svbv
rename n01svb06 svb
rename n01son05 son_vor
rename n01son06 sonstige
rename n03      insource
rename n07      geschart
rename n08      geschvol
*Neu: Vorleistungen
rename	n10	vorleist
rename n11      ertrlagv
rename n15      invest
*Neu: invest_entw
rename  n19 invest_entw
*Neu: invest_erw
rename 	n16	invest_erw

rename 	n14a	 IPlant
rename 	n14b	 IIT
rename 	n14c	 IProd
rename 	n14d	 ITransp
rename 	n14e	 INo
gen outsourc=1 if n02aa==1 | n02ab==1 | n02ac==1
replace outsourc=0 if n02aa~=1 & n02ab~=1 & n02ac~=1
count if outsourc==.

rename	n02aa	closed_down	
rename	n02ab	sold_off	
rename	n02ac	spun_off	

gen export_share=			n09c	+	n09d	+	n09e

rename n20      tech
rename n21inh   inhaber
rename n21aus   azubi
rename n21anw   beanw
rename n21einf  bea_einf
rename n21ber_g   bea_qual   
rename n21ges_f ges_frau
rename n22tz    teilzeit
rename n22tz_f  tz_frau
rename n23bef   befrist
rename n23bef_f bef_frau
rename n40ages  offen
rename n32ages  einstell
rename n37ges   entlass
rename n52	arbzeit
rename n54      uebstundv          
rename n79      tarif
rename n81      uebtarif
rename n83      lohn
rename n84a     betrrat
rename n84b     betr_and
rename n86      single
rename n91      form
rename n06b	kammer
rename n92      eigentum
rename n94      grjahr
rename n96b     bran_n00

rename		wz03_06		wz03_bp



gen eigen=.
gen zukauf=.
gen neugest=.
gen reorg=.
gen verlag=.
gen einheit=.
gen gruppe=.
gen umwelt=.
gen qualität=.
gen sonst=.
gen abbau=.
gen ertrlag=.
gen uebstund=.
gen weiterb=.
gen ertlag=.
recode single (2=3) (3=2)

replace grjahr=999 if n93==1

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz03_bp ///
idnum jahr hrf_quer hr93_06p hr96_06p hr00_06p hr03_06p bula ges_vor gesamt svbv svb son_vor sonstige insource vorleist  invest_erw   ///
geschart geschvol ertrlagv invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität sonst bea_einf invest_entw ///
bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb einstell entlass arbzeit ///
uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n00 outsourc tech abbau ertlag uebstund kammer west betr_and ///
closed_down sold_off spun_off export_share

compress
save iabbp_2006_panel_test.dta, replace
clear



**************************************
********* Welle 2007 *****************
**************************************
use $fdz_path_bp9312\iabbp_2007.dta
label lang de



gen jahr=2007
gen west=1 if wo2007==1
replace west=0 if wo2007==2

replace o01son06=o01son06+o01ger06 if o01ger06~=. | o01ger06~=-9
replace o01son07=o01son07+o01ger07 if o01ger07~=. | o01ger07~=-9

replace o13 = 6 if o08 == 4

replace o18=0 if o17e==1

gen o33ber_g=o33ber+o33uni if o33ber!=-9 & o33uni!=-9			
replace o33ber_g=o33ber if o33uni==-9 & o33ber!=-9
replace o33ber_g=o33uni if o33ber==-9 & o33uni!=-9

replace o34tz=0 if o34a==2
replace o34tz_f=0 if o34a==2
replace o35bef=0 if o35a==2
replace o35bef_f=0 if o35a==2
replace o51ages=0 if o51==2
replace o42ges=0 if o40==2
replace o50ges=0 if o49==2
replace o83=3 if o81==3					
replace o83=-9 if o81~=1 & o81~=2 & o81~=3

recode o92 (2=1) (1=2)

*Werteübertragung organisatorische Änderungen über die Jahre
gen help36=o29ae
replace help36=0 if o29ak==1
gen help37=o29af
replace help37=0 if o29ak==1
gen help38=o29ag
replace help38=0 if o29ak==1
gen help39=o29aa
replace help39=0 if o29ak==1
gen help40=o29ab
replace help40=0 if o29ak==1
gen help41=o29ac
replace help41=0 if o29ak==1
gen help42=o29ad
replace help42=0 if o29ak==1
gen help43=o29ah
replace help43=0 if o29ak==1
gen help44=o29ai
replace help44=0 if o29ak==1
gen help45=o29aj
replace help45=0 if o29ak==1

recode bula2007  (7=18) (0=11)

rename bula2007 bula
rename hr2007q  hrf_quer
rename o01ges06 ges_vor
rename o01ges07 gesamt
rename o01svb06 svbv
rename o01svb07 svb
rename o01son06 son_vor
rename o01son07 sonstige
rename o04      insource
rename o08      geschart
rename o09      geschvol
*Neu: Vorleistungen
rename	o12	vorleist
rename o13      ertrlagv
rename o18      invest
*Neu: invest_entw
rename 	o22	invest_entw																																																																																																																																																																																																																																								
*Neu: invest_erw
rename o19	invest_erw

rename 	o17a	 IPlant
rename 	o17b	 IIT
rename 	o17c	 IProd
rename 	o17d	 ITransp
rename 	o17e	 INo
gen outsourc=1 if o02a==1 | o02b==1 | o02c==1 |o02d==1 | o02e==1
replace outsourc=0 if o02a~=1 & o02b~=1 & o02c~=1 & o02d~=1 & o02e~=1
count if outsourc==.
		
rename	o02a	closed_down
rename	o02b	sold_off_dom	
rename	o02c	sold_off_for	
gen sold_off=sold_off_dom+sold_off_for
rename	o02d	spun_off_dom	
rename	o02e	spun_off_for
gen spun_off=spun_off_dom+spun_off_for

gen export_share=			o10c	+	o10d	+	o10e

rename o23      tech
rename o33einf  bea_einf						
rename o33ber_g bea_qual
rename o33inh   inhaber
rename o33aus   azubi
rename o33anw   beanw
rename o33ges_f ges_frau
rename o34tz    teilzeit
rename o34tz_f  tz_frau
rename o35bef   befrist
rename o35bef_f bef_frau
rename o51ages  offen
rename o42ges   einstell         
rename o50ges   entlass
rename o81      tarif
rename o83      uebtarif
rename o85      lohn
rename o58      weiterb 
rename o86a     betrrat
rename o86b     betr_and
rename o90      single
rename o87      form
rename o91b    kammer
rename o92      eigentum
rename o94      grjahr
rename o96b	bran_n00
rename o29aa    eigen
rename o29ab    zukauf
rename o29ae    verlag
rename o29af    gruppe
rename o29ag    einheit
rename o29ac    neugest
rename o29ad    reorg
rename o29ah    umwelt
rename o29ai    qualität
rename o29aj    sonst

rename		wz03_07		wz03_bp

rename	o30	RD
rename	o32a	RD_staff_excl
rename	o32b	RD_staff
rename	o24	innovpd1
rename	o25	innovpd2
rename	o26	innovpd3
rename  o27 innovpro


gen arbzeit=.
gen abbau=.
gen uebstundv=.
gen uebstund=.
gen ertlag=.
recode single (2=3) (3=2)

replace grjahr=999 if o93==1

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz03_bp ///
idnum jahr hrf_quer hr03_07p hr00_07p bula ges_vor gesamt svbv svb son_vor sonstige insource geschart geschvol ertrlagv vorleist  ///
invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität sonst  invest_erw invest_entw ///
bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb ///
entlass arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n00 outsourc ///
closed_down sold_off spun_off export_share RD* innov* ///
tech abbau ertlag uebstund kammer west betr_and einstell help*
compress
save iabbp_2007_panel_test.dta, replace
clear

**************************************
********* Welle 2008 *****************
**************************************
use $fdz_path_bp9312\iabbp_2008.dta
label lang de


gen jahr=2008

gen west=1 if wo2008==1
replace west=0 if wo2008==2

replace p01son07=p01son07+p01ger07 if p01ger07~=. | p01ger07~=-9
replace p01son08=p01son08+p01ger08 if p01ger08~=. | p01ger08~=-9

gen outsourc =1 if p02a==1 | p02b==1 | p02c==1
replace outsourc=0 if p02a~=1 & p02b~=1 & p02c~=1
count if outsourc==.


replace p15=6 if p09==4

replace p19=0 if p18e==1

gen p30ber_g=p30ber+p30uni if p30ber!=-9 & p30uni!=-9			
replace p30ber_g=p30ber if p30uni==-9 & p30ber!=-9
replace p30ber_g=p30uni if p30ber==-9 & p30uni!=-9

replace p31tz=0 if p31a==2
replace p31tz_f=0 if p31a==2
replace p32bef=0 if p32a==2
replace p32bef_f=0 if p32a==2
replace p41ges=0 if p39==2
replace p52ages=0 if p51==2
replace p54ges=0 if p53==2
replace p61=3 if p59==3
replace p61=-9 if p59~=1 & p59~=2 & p59~=3

recode p94 (2=1) (1=2)
recode bula2008 (7=18)

rename bula2008 bula
rename hr2008q  hrf_quer
rename p01svb07 svbv
rename p01svb08 svb
rename p01son07 son_vor
rename p01son08 sonstige
rename p01ges07 ges_vor
rename p01ges08 gesamt
rename p03 	insource
rename p09 	geschart
rename p10 	geschvol
*Neu: Vorleistungen
rename p13	vorleist
rename p15  	ertrlagv
rename p19 	invest
*Neu: invest_erw
rename p20 invest_erw

rename 	p18a	 IPlant
rename 	p18b	 IIT
rename 	p18c	 IProd
rename 	p18d	 ITransp
rename 	p18e	 INo
		
rename	p02a 	closed_down	
rename	p02b	sold_off	
rename	p02c	spun_off	

rename	p11c	export_share					

rename p23 	tech
rename p30einf 	bea_einf
rename p30ber_g bea_qual
rename p30inh 	inhaber
rename p30aus 	azubi
rename p30anw 	beanw
rename p30ges_f ges_frau
rename p31tz 	teilzeit
rename p31tz_f 	tz_frau
rename p32bef 	befrist
rename p32bef_f bef_frau
rename p41ges 	einstell
rename p54ges 	entlass
rename p52ages 	offen
rename p59 	tarif
rename p61 	uebtarif
rename p63 	lohn
rename p74 	weiterb
rename p78 	arbzeit
rename p80a  	uebstundv
rename p86a 	betrrat
rename p86b 	betr_and
rename p89 	form
rename p91 	single
rename p92b 	kammer
rename p94 	eigentum
rename p95b 	grjahr
rename p97b 	bran_n00

rename		wz03_08		wz03_bp

rename  p27 innovpro


replace grjahr=999 if p95a==1

recode single (2=3) (3=2)

gen uebstund=.
gen abbau=.
gen eigen=.
gen zukauf=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen sonst=.
gen ertlag=.


keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz03_bp ///
idnum jahr hrf_quer hr03_08p hr00_08p hr07_08p bula ges_vor gesamt svbv svb son_vor sonstige  vorleist /// 
insource geschart geschvol ertrlagv invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität /// 
sonst bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb ///
entlass arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n00 outsourc invest_erw ///
tech abbau ertlag uebstund kammer west betr_and einstell ///
closed_down sold_off spun_off export_share innov*

compress
save iabbp_2008_panel_test.dta, replace
clear

**************************************
********* Welle 2009 *****************
**************************************
use $fdz_path_bp9312\iabbp_2009.dta
label lang de


gen jahr=2009

gen west=1 if wo2009==1
replace west=0 if wo2009==2

replace q01son08=q01son08+q01ger08 if q01ger08~=. | q01ger08~=-9
replace q01son09=q01son09+q01ger09 if q01ger09~=. | q01ger09~=-9

gen outsourc =1 if q02a==1 | q02b==1 | q02c==1
replace outsourc=0 if q02a~=1 & q02b~=1 & q02c~=1
count if outsourc==.


replace q12=6 if q06==4

replace q17=0 if q16e==1

gen q47ber_g=q47ber+q47uni if q47ber!=-9 & q47uni!=-9			
replace q47ber_g=q47ber if q47uni==-9 & q47ber!=-9
replace q47ber_g=q47uni if q47ber==-9 & q47uni!=-9

replace q48tz=0 if q48a==2
replace q48tz_f=0 if q48a==2
replace q49bef=0 if q49a==2
replace q49bef_f=0 if q49a==2
replace q55ges=0 if q53==2
replace q63ages=0 if q62==2
replace q65ges=0 if q64==2
replace q41=3 if q39==3
replace q41=-9 if q39~=1 & q39~=2 & q39~=3

recode q91 (2=1) (1=2)
recode bula2009 (7=18)


rename bula2009 bula
rename hr2009q  hrf_quer
rename q01svb08 svbv
rename q01svb09 svb
rename q01son08 son_vor
rename q01son09 sonstige
rename q01ges08 ges_vor
rename q01ges09 gesamt
rename q03 		insource
rename q06 		geschart
rename q07 		geschvol
*Neu: Vorleistungen
rename q10	vorleist
rename q12  	ertrlagv
rename q17 		invest
*Neu: invest_erw
rename 	q18 invest_erw

rename 	q16a	 IPlant
rename 	q16b	 IIT
rename 	q16c	 IProd
rename 	q16d	 ITransp
rename 	q16e	 INo

rename	q02a	closed_down	
rename	q02b	sold_off	
rename	q02c	spun_off	

rename	q08c	export_share					


rename q21 		tech
rename q47einf 	bea_einf
rename q47ber_g bea_qual
rename q47inh 	inhaber
rename q47aus 	azubi
rename q47anw 	beanw
rename q47ges_f ges_frau
rename q48tz 	teilzeit
rename q48tz_f 	tz_frau
rename q49bef 	befrist
rename q49bef_f bef_frau
rename q55ges 	einstell
rename q65ges 	entlass
rename q63ages 	offen
rename q39 		tarif
rename q41 		uebtarif
rename q43 		lohn
rename q71a 	weiterb
rename q28 		arbzeit
rename q29  	uebstundv
rename q84a 	betrrat
rename q84b 	betr_and
rename q86 		form
rename q88 		single
rename q89b 	kammer
rename q91 		eigentum
rename q92b 	grjahr 
rename q94b 	bran_n09


rename			wz08_09	wz08_bp



rename	q27a	RD
rename	q27ca	RD_staff_excl
rename	q27cb	RD_staff
rename	q22	innovpd1
rename	q23	innovpd2
rename	q24	innovpd3
rename  q25 innovpro


replace grjahr=999 if q92a==1 

recode single (2=3) (3=2)

gen uebstund=.
gen abbau=.
gen eigen=.
gen zukauf=.
gen verlag=.
gen gruppe=.
gen einheit=.
gen neugest=.
gen reorg=.
gen umwelt=.
gen qualität=.
gen sonst=.
gen ertlag=.


keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz08_bp ///
idnum jahr hrf_quer hr03_09p hr00_09p hr07_09p bula ges_vor gesamt svbv svb son_vor sonstige  vorleist /// 
insource geschart geschvol ertrlagv invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität /// 
sonst bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb ///
entlass arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n09 outsourc  invest_erw ///
tech abbau ertlag uebstund kammer west betr_and einstell ///
closed_down sold_off spun_off export_share RD* innov*

compress
save iabbp_2009_panel_test.dta, replace
clear

**************************************
********* Welle 2010 *****************
**************************************
use $fdz_path_bp9312\iabbp_2010.dta, clear
cap label lang de


gen jahr=2010

gen west=1 if wo2010==1
replace west=0 if wo2010==2

replace r01son09=r01son09+r01ger09 if r01ger09~=. | r01ger09~=-9 //Sonstige und geringf. Besch. zusammenfassen, da bis 2005 eine Kategorie
replace r01son10=r01son10+r01ger10 if r01ger10~=. | r01ger10~=-9

gen outsourc =1 if r02a ==1 | r02b ==1 | r02c ==1 | r02d ==1 | r02e ==1
replace outsourc=0 if r02a ~=1 & r02b ~=1 & r02c ~=1 & r02d ~=1 & r02e ~=1
count if outsourc==.

replace r15=6 if r12==4	// Ertragslage wenn Geschäftsvolumen = Haushaltsvolumen

replace r20=0 if r19e==1 // Für Summe der Investitionen 0 einsetzen wenn keine Investitionen getätigt (und aufgrund Filter Frage nach Höhe nicht gestellt)

gen r30ber_g = r30ber + r30uni if r30ber != -9 & r30uni != -9
replace r30ber_g = r30ber if r30uni ==-9 & r30ber != -9
replace r30ber_g = r30uni if r30ber ==-9 & r30uni != -9

replace r31tz    =0 if r31a   ==2
replace r31tz_f  =0 if r31a   ==2
replace r32bef   =0 if r32a   ==2
replace r32bef_f =0 if r32a   ==2
replace r37ges   =0 if r35    ==2
replace r45ges   =0 if r44    ==2
replace r47ges   =0 if r46    ==2
replace r52=3 if r50==3
replace r52=-9 if r50~=1 & r50~=2 & r50~=3

recode r87 (2=1) (1=2) // Reihenfolge ostdt./westdt. Eigentum in früheren Wellen umgekehrt: erst ostdt., dann westdt.

*Werteübertragung organisatorische Änderungen über die Jahre
gen help46=r29ae
replace help46=0 if r29ak==1
gen help47=r29af
replace help47=0 if r29ak==1
gen help48=r29ag
replace help48=0 if r29ak==1
gen help49=r29aa
replace help49=0 if r29ak==1
gen help50=r29ab
replace help50=0 if r29ak==1
gen help51=r29ac
replace help51=0 if r29ak==1
gen help52=r29ad
replace help52=0 if r29ak==1
gen help53=r29ah
replace help53=0 if r29ak==1
gen help54=r29ai
replace help54=0 if r29ak==1
gen help55=r29aj
replace help55=0 if r29ak==1


recode bula2010 (7=18) // neuer Code für Rheinland-Pfalz, da in früheren Wellen Rh.-Pf. und Saarland als Wert 7 zusammengefasst wurden

rename bula2010 bula
rename hr2010q  hrf_quer
rename r01svb09 svbv
rename r01svb10 svb
rename r01son09 son_vor
rename r01son10 sonstige
rename r01ges09 ges_vor
rename r01ges10 gesamt
rename r03 		insource
rename r09 		geschart
rename r10 		geschvol
*Neu: Vorleistungen
rename r13 vorleist
rename r15  	ertrlagv
rename r20 		invest
*Neu: invest_erw
rename 	r21 invest_erw

		
rename 	r19a	 IPlant
rename 	r19b	 IIT
rename 	r19c	 IProd
rename 	r19d	 ITransp
rename 	r19e	 INo
		
rename	r02a	closed_down
rename	r02b	sold_off_dom	
rename	r02c	sold_off_for	
gen sold_off=sold_off_dom+sold_off_for
rename	r02d	spun_off_dom	
rename	r02e	spun_off_for
gen spun_off=spun_off_dom+spun_off_for

rename	r11c	export_share					

rename r24 		tech
rename r30einf 	bea_einf
rename r30ber_g bea_qual
rename r30inh 	inhaber
rename r30aus 	azubi
rename r30anw 	beanw
rename r30ges_f ges_frau
rename r31tz 	teilzeit
rename r31tz_f 	tz_frau
rename r32bef 	befrist
rename r32bef_f bef_frau
rename r37ges 	einstell
rename r47ges 	entlass
rename r45ges 	offen
rename r50 		tarif
rename r52 		uebtarif
rename r54 		lohn
rename r55   	weiterb
rename r69 		arbzeit
rename r71a  	uebstundv
rename r79a 	betrrat
rename r79b 	betr_and
rename r80 		form
rename r83 		single
rename r86b 	kammer
rename r87 		eigentum
rename r88b 	grjahr 
rename r90b 	bran_n09
rename r29aa    eigen
rename r29ab    zukauf
rename r29ae    verlag
rename r29af    gruppe
rename r29ag    einheit
rename r29ac    neugest
rename r29ad    reorg
rename r29ah    umwelt
rename r29ai    qualität
rename r29aj    sonst

rename			wz08_10	wz08_bp

rename  r28 innovpro


replace grjahr=999 if r88a==1 

recode single (2=3) (3=2)

gen uebstund=.
gen abbau=.
gen ertlag=.

keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz08_bp ///
idnum jahr hrf_quer hr00_10p hr03_10p hr07_10p bula ges_vor gesamt svbv svb son_vor sonstige vorleist  /// 
insource geschart geschvol ertrlagv invest eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität /// 
sonst bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb ///
entlass arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n09 outsourc  invest_erw ///
tech abbau ertlag uebstund kammer west betr_and einstell help* ///
closed_down sold_off spun_off export_share innov*

compress
save iabbp_2010_panel_test.dta, replace



**************************************
********* Wave 2011 ******************
**************************************
use $fdz_path_bp9312\iabbp_2011.dta, clear
cap label lang de


gen jahr=2011

gen west=1 if wo2011==1
replace west=0 if wo2011==2

replace s01son10=s01son10+s01ger10 if s01ger10~=. | s01ger10~=-9 
replace s01son11=s01son11+s01ger11 if s01ger11~=. | s01ger11~=-9

gen outsourc =1 if s02a ==1 | s02b ==1 | s02c ==1 | s02d ==1 
replace outsourc=0 if s02a ~=1 & s02b ~=1 & s02c ~=1 & s02d ~=1 
count if outsourc==.

replace s13=6 if s10==4	

replace s17=0 if s16e==1

gen s26ber_g = s26ber + s26uni if s26ber != -9 & s26uni != -9
replace s26ber_g = s26ber if s26uni ==-9 & s26ber != -9
replace s26ber_g = s26uni if s26ber ==-9 & s26uni != -9

replace s27tz    =0 if s27a   ==2
replace s27tz_f  =0 if s27a   ==2
replace s28bef   =0 if s28a   ==2
replace s28bef_f =0 if s28a   ==2
replace s40ges   =0 if s38    ==2
replace s48ges   =0 if s47    ==2
replace s50ges   =0 if s49    ==2
replace s53=3 if s52==3
replace s53=-9 if s52~=1 & s52~=2 & s52~=3

recode s80b (2=1) (1=2)

recode bula2011 (7=18)

rename bula2011 bula
rename hr2011q  hrf_quer
rename s01svb10 svbv
rename s01svb11 svb
rename s01son10 son_vor
rename s01son11 sonstige
rename s01ges10 ges_vor
rename s01ges11 gesamt
rename s03 		insource
rename s07 		geschart
rename s08 		geschvol
*Neu: Vorleistungen
rename s11 vorleist
rename s13  	ertrlagv
rename s17 		invest
*Neu: invest_erw
rename 	s18 invest_erw

rename 	s16a	 IPlant
rename 	s16b	 IIT
rename 	s16c	 IProd
rename 	s16d	 ITransp
rename 	s16e	 INo


rename	s02a	closed_down	
rename	s02b	sold_off	
rename	s02c	spun_off	

rename	s09c	export_share					


rename s19 		tech
rename s26einf 	bea_einf
rename s26ber_g bea_qual
rename s26inh 	inhaber
rename s26aus 	azubi
rename s26anw 	beanw
rename s26ges_f ges_frau
rename s27tz 	teilzeit
rename s27tz_f 	tz_frau
rename s28bef 	befrist
rename s28bef_f bef_frau
rename s40ges 	einstell
rename s50ges 	entlass
rename s48ges 	offen
rename s52		tarif
rename s53 		uebtarif
rename s58 		lohn
rename s70   	weiterb
rename s59 		arbzeit
rename s60  	uebstundv
rename s77a 	betrrat
rename s77b 	betr_and
rename s78 		form
rename s84 		single
rename s83b 	kammer
rename s80b 	eigentum
rename s85b 	grjahr 
rename s87b 	bran_n09

rename			wz08_11	wz08_bp

replace grjahr=999 if s85a==1 

recode single (2=3) (3=2)

gen uebstund=.
gen abbau=.
gen ertlag=.


keep  IPlant	 IIT	 IProd	 ITransp	 INo	wz08_bp ///
idnum jahr hrf_quer hr00_11p hr03_11p hr07_11p hr09_11p bula ges_vor gesamt svbv svb son_vor sonstige /// 
insource geschart geschvol vorleist ertrlagv invest invest_erw /// 
sonst bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb ///
entlass arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n09 outsourc ///
tech abbau ertlag uebstund kammer west betr_and einstell ///
closed_down sold_off spun_off export_share


compress


save iabbp_2011_panel_test.dta, replace


**************************************
********* Welle 2012 *****************
**************************************
use $fdz_path_bp9312\iabbp_2012.dta, clear
cap label lang de

gen jahr=2012

gen west=1 if wo2012==1
replace west=0 if wo2012==2

replace t01son11=t01son12+t01ger11 if t01ger11~=. | t01ger11~=-9 //Sonstige und geringf. Besch. zusammenfassen, da bis 2005 eine Kategorie
replace t01son12=t01son12+t01ger12 if t01ger12~=. | t01ger12~=-9

gen outsourc =1 if t02a ==1 | t02b ==1 | t02c ==1 
replace outsourc=0 if t02a ~=1 & t02b ~=1 & t02c ~=1 
count if outsourc==.

replace t13=6 if t07==4	// Ertragslage wenn Geschäftsvolumen = Haushaltsvolumen

replace t21=0 if t20e==1 // Für Summe der Investitionen 0 einsetzen wenn keine Investitionen getätigt (und aufgrund Filter Frage nach Höhe nicht gestellt)

gen t30ber_g = t30ber + t30uni if t30ber != -9 & t30uni != -9
replace t30ber_g = t30ber if t30uni ==-9 & t30ber != -9
replace t30ber_g = t30uni if t30ber ==-9 & t30uni != -9

replace t31tz    =0 if t31a   ==2
replace t31tz_f  =0 if t31a   ==2
replace t32bef   =0 if t32a   ==2
replace t32bef_f =0 if t32a   ==2
replace t37ges   =0 if t35    ==2
replace t45ges   =0 if t44    ==2
replace t47ges   =0 if t46    ==2
replace t50=3 if t48==3
replace t50=-9 if t48~=1 & t48~=2 & t48~=3

gen eigentum=.		//ab 2011 Filterfrage
replace eigentum =4 if t79a==1
replace eigentum =6 if t79a==3
replace eigentum =1 if t79b==2
replace eigentum =2 if t79b==1
replace eigentum =3 if t79b==3
replace eigentum =5 if t79b==4
replace eigentum =6 if t79b==5

recode bula2012 (7=18) // neuer Code für Rheinland-Pfalz, da in früheren Wellen Rh.-Pf. und Saarland als Wert 7 zusammengefasst wurden


rename t11 vorleist
rename t22 invest_erw

rename 	t20a	 IPlant
rename 	t20b	 IIT
rename 	t20c	 IProd
rename 	t20d	 ITransp
rename 	t20e	 INo

rename	t02a	closed_down	
rename	t02b	sold_off	
rename	t02c	spun_off	


rename	t09c	export_share					


rename bula2012 bula
rename hr2012q  hrf_quer
rename t01svb11 svbv
rename t01svb12 svb
rename t01son11 son_vor
rename t01son12 sonstige
rename t01ges11 ges_vor
rename t01ges12 gesamt
rename t03 	insource
rename t07 	geschart
rename t08 	geschvol
rename t13  	ertrlagv
rename t25 	invest

rename t23 tech

rename t30einf 	bea_einf
rename t30ber_g bea_qual
rename t30inh 	inhaber
rename t30aus 	azubi
rename t30anw 	beanw
rename t30ges_f ges_frau
rename t31tz 	teilzeit
rename t31tz_f 	tz_frau
rename t32bef 	befrist
rename t32bef_f bef_frau
rename t37ges 	einstell
rename t47ges 	entlass
rename t45ges 	offen
rename t48	tarif
rename t50 	uebtarif
rename t52 	lohn
rename t62   	weiterb
rename t53	arbzeit
rename t55a  	uebstundv
rename t74a 	betrrat
rename t75 	betr_and
rename t77 	form
rename t80 	single
rename t16b 	kammer
rename t87b 	grjahr 
rename t89b 	bran_n09

*Werteübertragung organisatorische Änderungen über die Jahre
gen help56=t28ae
replace help56=0 if t28ak==1
gen help57=t28af
replace help57=0 if t28ak==1
gen help58=t28ag
replace help58=0 if t28ak==1
gen help59=t28aa
replace help59=0 if t28ak==1
gen help60=t28ab
replace help60=0 if t28ak==1
gen help61=t28ac
replace help61=0 if t28ak==1
gen help62=t28ad
replace help62=0 if t28ak==1
gen help63=t28ah
replace help63=0 if t28ak==1
gen help64=t28ai
replace help64=0 if t28ak==1
gen help65=t28aj
replace help65=0 if t28ak==1

rename t28aa    eigen
rename t28ab    zukauf
rename t28ae    verlag
rename t28af    gruppe
rename t28ag    einheit
rename t28ac    neugest
rename t28ad    reorg
rename t28ah    umwelt
rename t28ai    qualität
rename t28aj    sonst

replace grjahr=999 if t87a==1 

recode single (2=3) (3=2)

gen uebstund=.
gen abbau=.
gen ertlag=.

keep idnum jahr hrf_quer hr00_12p hr03_12p hr07_12p hr09_12p bula ges_vor gesamt svbv svb son_vor sonstige vorleist invest_erw  /// 
insource geschart geschvol ertrlagv invest sonst eigen zukauf neugest reorg verlag gruppe einheit umwelt qualität ///
sonst bea_einf bea_qual inhaber azubi beanw ges_frau teilzeit tz_frau befrist bef_frau offen weiterb entlass ///
arbzeit uebstundv tarif uebtarif lohn betrrat single form eigentum grjahr bran_n09 outsourc tech abbau ///
ertlag uebstund kammer west betr_and einstell help*
compress

save iabbp_2012_panel_test.dta, replace

log close

