
/*For relevant EP establishments, draw control variables from BHP for 2002-2010*/		 
		 
cap log close
log using "$log_files_path/05a_kontrollvariablen_betriebsebene_bhp", replace

forval i = 2002/2010{

use $data_files_path/bp_betriebe_vergew_mindestgröße, clear
merge 1:1 betnr using $bhp7510_path/bhp_7510_m06_bst_v1_`i', keepusing(az_hq az_ges az_f alter_med az_*tz az_te0 grd_dat az_gf ao_kreis)
keep if _merge == 3
drop _merge
gen jahr = `i'
save $data_files_path/temp_bhp_az_vergew_mindestgröße_bp_`i', replace
}


use $data_files_path/temp_bhp_az_vergew_mindestgröße_bp_2002, clear
forval i = 2003/2010{
append using $data_files_path/temp_bhp_az_vergew_mindestgröße_bp_`i'
}
save $data_files_path/temp_bhp_az_vergew_mindestgröße_bp, replace
forval i = 2002/2010{
erase $data_files_path/temp_bhp_az_vergew_mindestgröße_bp_`i'.dta
}


/* Qualification */
gen share_highqual = az_hq/az_ges
/* Gender */
gen share_male = (az_ges-az_f)/az_ges
/* Median employee age */
rename alter_med  age 
/* Establishment age */
gen gründungsjahr = year(grd_dat)
gen byte old_plant_1995 = gründungsjahr<1995
gen betr_alter = jahr-gründungsjahr

/* Full-time equivalent employment */
gen labour = az_ktz*0.3 + az_gtz*0.6+(az_ges-az_ktz-az_gtz)-az_te0

/* Time-constant industry */
merge m:1 betnr using $data_files_path/w93_bhp_end_jahr
drop if _merge == 2
gen w03_2 = int(w93_3 / 10)
drop w93_3
drop _merge


/* Regional labour market information */
/* Changes in Mecklenburg-Vorpommern */
replace ao_kreis = 13075 if ao_kreis == 13001 | ao_kreis == 13059 | ao_kreis == 13062
replace ao_kreis = 13073 if ao_kreis == 13005 | ao_kreis == 13061 | ao_kreis == 13057
replace ao_kreis = 13074 if ao_kreis == 13058 | ao_kreis == 13006
replace ao_kreis = 13072 if ao_kreis == 13053 | ao_kreis == 13051
replace ao_kreis = 13071 if ao_kreis == 13055 | ao_kreis == 13056 | ao_kreis == 13052 | ao_kreis == 13002
replace ao_kreis = 13076 if ao_kreis == 13054 | ao_kreis == 13060

rename ao_kreis arb_kr
merge n:1 arb_kr using "//iab.baintern.de/DFS/017/Ablagen/D01700-FBB2/01_FBB2_IAB-Regional_Namen/Wolf/Projekte/InnoMo/Sonstige_Daten/AMR_Kreise_2011_Kosfeld_Werner_bearbeitet", keepusing(ram)
/* Note: ao_kreis is missing if non_bhp_existent == 1 */
rename arb_kr ao_kreis 
drop if _merge == 2
drop _merge
label var ram "Regionaler Arbeitsmarkt Kosfeld+Werner 2011"

/* Exits */
merge 1:1 betnr jahr using $data_files_path/exits_bhp
drop if _merge == 2

keep betnr jahr share* age  old_plant labour betr_alter az_ges az_gf ao_kreis ram w03_2 exit

save $data_files_path/kontrollvariablen_bhp_2002_2010, replace
erase $data_files_path/temp_bhp_az_vergew_mindestgröße_bp.dta
log close
