
/*For relevant EP establishments, draw variables from EP for 2002-2010*/		 
/* Except capital stock, which is obtained separetely (05c) */
		 
cap log close
log using "$log_files_path/05a_kontrollvariablen_betriebsebene_betriebspanel", replace

/* Merge EP establishment identifier (idnum) for all relevant establishments */
use $data_files_path/orig_bp_betriebe_idnum_alle, clear
merge m:1 betnr using $data_files_path/bp_betriebe_vergew_mindestgröße
keep if _merge == 3
drop _merge
merge 1:m idnum using $data_files_path/betriebspanel
keep if _merge == 3
drop _merge
keep if jahr>2001 & jahr<2011

/* VALUE ADDED */ 
 gen double vorleist_abs = geschvol*vorleist/100
 gen double value_added = geschvol - vorleist_abs


foreach var of varlist value_added geschvol {
replace `var' = `var'*1.000 if jahr==2010
replace `var' = `var'*1.011 if jahr==2009
replace  `var' = `var'*1.014	if jahr==2008
replace  `var' = `var'*1.041	if jahr==2007
replace  `var' = `var'*1.065	if jahr==2006
replace  `var' = `var'*1.082	if jahr==2005
replace `var' = `var'*1.098	if jahr==2004
replace  `var' = `var'*1.117	if jahr==2003
replace  `var' = `var'*1.128 if jahr==2002
}


/* Single Plant */
gen byte single_plant = single == 1

/* GmbH */
gen byte gmbh_plant = form == 3

/* State of technological equipment */
gen byte newtech_plant = (tech == 1 | tech == 2)

/*Note: Unlike the other relevant EP variables which refer to the year prior to the survey (like turnover), employment according to the EP (svb) still refers to the survey year*/

keep geschvol vorleist_abs invest value_added single_plant gmbh_plant newtech_plant export_share jahr idnum betnr svb gesamt svbv ges_vor 
save $data_files_path/kontrollvariablen_betriebspanel_2002_2010, replace
