
	cap log close
	log using $log_files_path/Firmenzugehörigkeit_$date, replace	
	
	/*  Identify spurious inflows: 
	   (1) Between establishments belonging to the same conmpany 
	   (2) Establishment ID-change or takeover of sending establishments
	*/
	
	
	forv i = 2002/2010 {
	

	use id betnr betnr_beschvor_`i'0101 using $data_files_path/neuzugänge_betriebswechsler_clean_t1_`i', clear
	
	/* (1) Between establishments belonging to the same company --> merge (estimated) company ID (cf. http://doku.iab.de/fdz/reporte/2014/MR_05-14_EN.pdf) */	
	local j = `i'-1
	
	merge m:1 betnr using $data_files_path/Bet_Firm_IDs_`j', keepusing(id_name_bisR_olz)
	drop if _merge==2
	drop _merge
	
	ren id_name_bisR_olz firm_ID_t1
	ren betnr betnr_rec
	ren betnr_beschvor_`i'0101 betnr
	
	merge m:1 betnr using $data_files_path/Bet_Firm_IDs_`j', keepusing(id_name_bisR_olz)
	drop if _merge==2
	drop _merge
	
	ren betnr betnr_beschvor_`i'0101 
	ren betnr_rec betnr
	ren id_name_bisR_olz firm_ID_beschvor_t1
		
	local j = `i'-2
	
	merge m:1 betnr using $data_files_path/Bet_Firm_IDs_`j', keepusing(id_name_bisR_olz)
	drop if _merge==2
	drop _merge
	
	ren id_name_bisR_olz firm_ID_t2
	ren betnr betnr_rec
	ren betnr_beschvor_`i'0101 betnr
	
	merge m:1 betnr using $data_files_path/Bet_Firm_IDs_`j', keepusing(id_name_bisR_olz)
	drop if _merge==2
	drop _merge
	
	ren betnr betnr_beschvor_`i'0101 
	ren betnr_rec betnr
	ren id_name_bisR_olz firm_ID_beschvor_t2
		
	gen test_t1 = firm_ID_t1 == firm_ID_beschvor_t1 if firm_ID_t1 !=. & firm_ID_beschvor_t1 !=.
	gen test_t2 = firm_ID_t2 == firm_ID_beschvor_t2 if firm_ID_t2 !=. & firm_ID_beschvor_t2 !=.
	
	
	gen spurious = test_t1==1 | test_t2==1
	
	
	keep id betnr betnr_beschvor_`i'0101 spurious
	
	tab spurious,m
		
	/* (2) Establishment ID-change or takeover of sending establishments (cf. http://doku.iab.de/fdz/reporte/2010/MR_06-10-EN.pdf) */
	/* Note: market entry of receiving establishments are irrelevant, because newly founded establishments cannot have inflows, according to our definition */
		
	
    ren betnr betnr_rec
	ren betnr_beschvor_`i'0101 betnr
	
	gen jahr= `i'-1
	merge m:1 betnr jahr using $bhp7510_path/bhp_7510_m06_aus_v1
	drop if _merge==2
	drop _merge
	
	replace jahr= `i'-2
	merge m:1 betnr jahr using $bhp7510_path/bhp_7510_m06_aus_v1, update	
	drop if _merge==2
	drop _merge
	
	ren betnr betnr_beschvor_`i'0101
	ren  betnr_rec betnr
	


		
	//label establishment ID combinations as "bad" if ... 
		
	replace spurious=1 if austritt==1 & betnr==betnr_nach // change ID
	replace spurious=1 if austritt==2                      // takeover 
	replace spurious=1 if austritt==6 & status_nach==0 & betnr==betnr_nach   //chunky death
	replace spurious=1 if austritt==7 & status_nach==0 & betnr==betnr_nach	// unclear
	tab spurious,m
	
	
	keep id spurious
		
	merge 1:1 id using $data_files_path/neuzugänge_betriebswechsler_clean_t1_`i'
	drop _merge
	drop if spurious == 1
	
	save $data_files_path/neuzugänge_betriebswechsler_clean_bad_t1_`i', replace
	}
	
	
	
	
	
	
	
	log close
	
