***********************************************************************
* Vorlage für STATA Scripte
*---------------------------------------------------------------------
* Master-Do-File: 	* Festlegen der Arbeitsverzeichnisse
* 					* Grundlegende Einstellungen
* 					* Anstoßen der Do-Files
***********************************************************************

version 14.0
clear
cap log close
set more off, permanently
set linesize 255

adopath ++ "D:\ado_files\"

*----------------------------------------------------------------------
* 	Definieren der Globals für die unterschiedlichen Arbeitsverzeichnisse
*----------------------------------------------------------------------

/* Benutzerdefinierte Makrovariablen, welche je nach Anforderung angepasst werden */
global AMSNr	"013612"							/* Anforderungsnummer */

/*
global inp_Bez	"013612_Stichprobe.dta"			
/* Name des Inputs aus SAS: Wird nicht bei Ziehung aus Basisdaten wie IEB oder BEH benötigt */
*/

global DO_Bez	"Betriebseffekt_ind_Lohneffekt.do"	/* Name des Kunden-Do-Files */
global DO_Bez_2	"Betriebseffekt_Lohnimp.do"			// wird in $DO_Bez aufgerufen		

/* Umgebungs-Makrovariablen zum Einrichten des AMS-Verzeichnisses */
global stamm	"D:\AMS"						/* Stammverzeichnis */
global path 	"D:\AMS\\$AMSNr" 				/* Anforderungsverzeichnis */
global orig	    "D:\AMS\\$AMSNr\orig"			/* Verzeichnis AMS-Daten/Inputdaten */
global data		"D:\AMS\\$AMSNr\data"			/* Verzeichnis Bearbeitungs-/Lieferdaten */
global log  	"D:\AMS\\$AMSNr\log"			/* Verzeichnis Log-Files */
global prog   	"D:\AMS\\$AMSNr\prog" 			/* Verzeichnis Do-Files */

/* Makrovariablen zum Ansprechen der Datenprodukte im Stata-Format */
global beh	    "D:\BeH"	 					/* Verzeichnis BEH */

// Hinweis: bitte dieselbe Version verwenden wie bei AMS 012894 und AMS 013105; dies müsste sein: BeH V09.01.00
 global beh_Bez	"beh_v_09_01_num.dta"					//Stimmt das so?
*global beh_Bez	"beh_v_10_00_num.dta"					/* Name verwendente BEH */

global IEB 		"D:\IEB" 						/* Verzeichnis IEB */
global ieb_Bez	"ieb_v_11_01_01_150220_num.dta"	/* Name verwendente IEB */

/* Zum Starten der IEB-Daten auf unserem Server sollte folgender 
Programmcode verwendet werden: use $IEB\\$ieb_Bez, clear */

/* Zum Starten der BEH-Daten auf unserem Server sollte folgender 
Programmcode verwendet werden: use $beh\\$beh_Bez, clear */

	
*----------------------------------------------------------------------
* 	Erstellen der Ordner-Struktur zur Anforderung
*----------------------------------------------------------------------

/* Bei erstmaligem Durchlauf verwenden. Ansonsten auskommentieren */

mkdir $path
mkdir $orig	
mkdir $data	
mkdir $log		
mkdir $prog	


*----------------------------------------------------------------------
* 	Verwendetes Do-File und Daten des Kunden werden in die jeweiligen  
*	Ordnerpfade gebracht							
*----------------------------------------------------------------------
cd $stamm

copy $DO_Bez $prog\\$DO_Bez, replace

/* Verschieben des Inputs, wenn Input vorhanden */
copy $inp_Bez $orig\\$inp_Bez, replace


*----------------------------------------------------------------------
* Starten des Do-Files des Kunden
*----------------------------------------------------------------------

//Bitte ggfs. anpassen:
global date 20151126


do $prog\\$DO_Bez


capture log close
