
// Lohnzensierung und -imputation
// following Gartner 2005
	
	gen byte ost = kreis>=11000

	gen limit=.
	replace limit = 140 if jahr==1999 & ost==0
	replace limit = 141 if jahr==2000 & ost==0 
	replace limit = 143 if jahr==2001 & ost==0
	replace limit = 145 if jahr==2002 & ost==0
	replace limit = 165 if jahr==2003 & ost==0
	replace limit = 166 if jahr==2004 & ost==0
	replace limit = 168 if jahr==2005 & ost==0
	replace limit = 170 if jahr==2006 & ost==0
	replace limit = 170 if jahr==2007 & ost==0
	replace limit = 171 if jahr==2008 & ost==0
	replace limit = 175 if jahr==2009 & ost==0
	replace limit = 178 if jahr==2010 & ost==0

	replace limit = 118 if jahr==1999 & ost==1
	replace limit = 116 if jahr==2000 & ost==1
	replace limit = 120 if jahr==2001 & ost==1
	replace limit = 120 if jahr==2002 & ost==1
	replace limit = 137 if jahr==2003 & ost==1
	replace limit = 140 if jahr==2004 & ost==1
	replace limit = 142 if jahr==2005 & ost==1
	replace limit = 142 if jahr==2006 & ost==1
	replace limit = 147 if jahr==2007 & ost==1
	replace limit = 145 if jahr==2008 & ost==1
	replace limit = 147 if jahr==2009 & ost==1
	replace limit = 150 if jahr==2010 & ost==1

	gen byte cens = tag_entg>=limit
	tab cens,m

	replace tag_entg = limit if cens==1 
	gen entg_cens = tag_entg
	replace entg_cens=. if cens==1

  gen byte cell = male==0 & ost==0
  replace cell =2 if male==0 & ost==1  
  replace cell =3 if male==1 & ost==0  
  replace cell =4 if male==1 & ost==1  
  
  label define zelle 1 "WestD Frauen" 2 "OstD Frauen" 3 "WestD Männer" 4 "OstD Männer"
  label values cell zelle
  tab cell,m 

 gen lnw = ln(tag_entg)
  
 * Betriebs-FE: zu viele, um sie als Dummy zu generieren
 * (within-Transformation geht wohl nicht - imputw braucht ja lnw und keinen zentrierten Wert davon)
 
 // Stattdessen wichtige Kontrollvariablen auf Betriebsebene
 
 * fraction of university graduates at the current firm
 bys betnr: egen s_acad = mean(d_ausb3)
 
 * mean log wage within firm
 bys betnr: egen m_lnw_firm = mean(lnw)
 
 * fraction of employees with censored wages in firm
 bys betnr: egen cens_firm = mean(cens)
    
 // Command imputw by Gartner (2005) uses the outdated Stata command cnreg, therefore his routine is being
  // replaced by an otherwise equivalent code using intreg

 gen y1 = lnw
 gen y2 = lnw
 replace y2 = . if cens==1
	
 gen lnw_imp = lnw 
 
 global indepvars d_ausb* age age_sq d_wz_2* d_berufstellg*  d_beruf_2* d_ram*  s_acad m_lnw_firm cens_firm 
 
 forv k = 1/4 { 

 intreg y1 y2 $indepvars if cell==`k'

 global sigma = e(sigma)
 gen samp = e(sample)
 tab samp if cell==`k'

 predict xb00 if cell==`k' & samp==1, xb
	
 gen alpha00=(ln(limit)-xb00)/$sigma if cell==`k' & samp==1
 gen nalpha= normal(alpha00) if cell==`k' & samp==1

 gen resid = $sigma * invnorm(uniform()*(1-normal(alpha00))+normal(alpha00)) if cell==`k' & samp==1
 	
 replace lnw_imp = xb00 + resid if cell==`k' & cens == 1 & samp==1
 
 drop samp xb00 alpha00 nalpha resid 
 }
 
 
 gen w_imp = exp(lnw_imp)	

 di "Zensierte und imputierte Löhne nach Zelle:"
 table cell, c(mean entg_cens mean cens mean w_imp)
 di "Imputierte Löhne nach Zelle, nur zensierte Beob.:"
 table cell if cens==1, c(mean w_imp  median w_imp)
 di "Original- und imputierte Löhne nach Bildung:"
 table ausbild , c(mean entg_cens  mean w_imp)
 di "Original- und imputierte Löhne nach Bildung, nur zensierte Beob.:"
 table ausbild  if cens==1, c(mean entg_cens  mean w_imp)
  
 // ! Nicht einfach nachher lnw_imp benutzen!! Sondern Umweg über w_imp
 drop lnw_imp
 