cap log close
log using "$log_files_path/betriebseff_merge_vorb5", replace

cd $path_project

/* 1. Step: Deflate corrected establishment fixed effect(see Appendix B) to 2010 price levels */
forv k=1999/2010 {
use Datensatz_IEB/Data-files_Ende/beh_20151201/Betriebseffekte_`k' , clear

 //(https://www.destatis.de/DE/ZahlenFakten/GesamtwirtschaftUmwelt/Preise/Verbraucherpreisindizes/Tabellen_/VerbraucherpreiseKategorien.html,
 // 28.04.2014)
 qui{
foreach var of varlist fe_betrieb_resid {
 replace `var' = `var'*	(1/.989)	if `k'==	2009
 replace `var' = `var'*	(1/.986)	if `k'==	2008
 replace `var' = `var'*	(1/.961)	if `k'==	2007
 replace `var' = `var'*	(1/.939)	if `k'==	2006
 replace `var' = `var'*	(1/.925)	if `k'==	2005
 replace `var' = `var'*	(1/.91)	    if `k'==	2004
 replace `var' = `var'*	(1/.896)	if `k'==	2003
 replace `var' = `var'*	(1/.886)	if `k'==	2002
 replace `var' = `var'*	(1/.874)	if `k'==	2001
 replace `var' = `var'*	(1/.857) 	if `k'==	2000
 replace `var' = `var'*	(1/.845)	if `k'==	1999 
}
}
drop wz_3 
save $data_files_path/Betriebseff_Neu_`k'_betnr , replace
}

/* Step 2: Merge deflated corrected establishment fixed effect  */

forvalues i = 2002/2010{
use $data_files_path/neuzugänge_betriebswechsler_clean_bad_chk_t1_`i', clear

local j=`i'-2                     // year i = employed in relevant EP estabslishment; year i-1: inflow; year i-2: year before inflow 

/* Step 2a: to receiving establishment */
 merge m:1 betnr using $data_files_path/Betriebseff_Neu_`j'_betnr 
qui drop if _merge==2
/* _merge == 1: relevant EP establishments with no full-time employees on June 30 `i'-2 */
rename fe_betrieb_resid fe_betrieb_rec
drop _merge

/* Step 2b: to sending establishment */

ren betnr betrb
ren betnr_beschvor_`i'0101 betnr

merge m:1 betnr using $data_files_path/Betriebseff_Neu_`j'_betnr 
qui drop if _merge==2
/* _merge == 1: sending establishments with no full-time employees on June 30 `i'-2 */
ren betnr betnr_beschvor_`i'0101
ren betrb betnr 
rename fe_betrieb_resid fe_betrieb_send

drop betnr_vor_beschspell_`i'0101  fe_betrieb_xtreg
drop _merge
save $data_files_path/neuzugänge_betriebswechsler_clean_bad_chk_fe_t1_`i', replace

}




log close
